# extremecloudiq-api
ExtremeCloud IQ RESTful API for external and internal applications.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 24.5.0.51
- Package version: 24.5.0.51
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://www.extremenetworks.com/support](https://www.extremenetworks.com/support)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import extremecloudiq
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import extremecloudiq
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import extremecloudiq
from extremecloudiq.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost:8081
# See configuration.py for a list of all supported configuration parameters.
configuration = extremecloudiq.Configuration(
    host = "http://localhost:8081"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): Bearer
configuration = extremecloudiq.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with extremecloudiq.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = extremecloudiq.AccountApi(api_client)
    
    try:
        # Backup VIQ
        api_instance.backup_viq()
    except ApiException as e:
        print("Exception when calling AccountApi->backup_viq: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8081*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**backup_viq**](docs/AccountApi.md#backup_viq) | **POST** /account/viq/:backup | Backup VIQ
*AccountApi* | [**download_viq_report**](docs/AccountApi.md#download_viq_report) | **GET** /account/viq/download | Download VIQ data file and logs
*AccountApi* | [**export_import_status**](docs/AccountApi.md#export_import_status) | **GET** /account/viq/export-import-status | Get running export/import status 
*AccountApi* | [**export_viq**](docs/AccountApi.md#export_viq) | **POST** /account/viq/export | [LRO] Export VIQ data
*AccountApi* | [**get_default_device_password**](docs/AccountApi.md#get_default_device_password) | **GET** /account/viq/default-device-password | Get the default device password in the account
*AccountApi* | [**get_home_account**](docs/AccountApi.md#get_home_account) | **GET** /account/home | Get home ExtremeCloud IQ account info
*AccountApi* | [**get_viq_info**](docs/AccountApi.md#get_viq_info) | **GET** /account/viq | Get VIQ Info
*AccountApi* | [**import_viq**](docs/AccountApi.md#import_viq) | **POST** /account/viq/import | [LRO] Import VIQ data
*AccountApi* | [**list_external_accounts**](docs/AccountApi.md#list_external_accounts) | **GET** /account/external | List accessible external guest accounts
*AccountApi* | [**switch_account**](docs/AccountApi.md#switch_account) | **POST** /account/:switch | Switch to another ExtremeCloud IQ account
*AccountApi* | [**update_default_device_password**](docs/AccountApi.md#update_default_device_password) | **PUT** /account/viq/default-device-password | Update the default device password in the account
*AlertApi* | [**acknowledge_alerts**](docs/AlertApi.md#acknowledge_alerts) | **POST** /alerts/:acknowledge | Acknowledge the alerts
*AlertApi* | [**count_alerts_by_group**](docs/AlertApi.md#count_alerts_by_group) | **GET** /alerts/count-by-{group} | Count the alerts by different grouping
*AlertApi* | [**create_alert_email_subscription**](docs/AlertApi.md#create_alert_email_subscription) | **POST** /alert-subscriptions/emails | Create alert email subscription
*AlertApi* | [**create_alert_policy**](docs/AlertApi.md#create_alert_policy) | **POST** /alert-policies | Create a site based alert policy
*AlertApi* | [**create_alert_report**](docs/AlertApi.md#create_alert_report) | **POST** /alerts/reports | [LRO] Create the alerts report
*AlertApi* | [**create_alert_webhook_subscription**](docs/AlertApi.md#create_alert_webhook_subscription) | **POST** /alert-subscriptions/webhooks | Create alert webhook subscription
*AlertApi* | [**delete_alert_email_subscription**](docs/AlertApi.md#delete_alert_email_subscription) | **DELETE** /alert-subscriptions/emails/{id} | Delete alert email subscription
*AlertApi* | [**delete_alert_policy**](docs/AlertApi.md#delete_alert_policy) | **DELETE** /alert-policies/{id} | Delete a site-based alert policy
*AlertApi* | [**delete_alert_webhook_subscription**](docs/AlertApi.md#delete_alert_webhook_subscription) | **DELETE** /alert-subscriptions/webhooks/{id} | Delete alert webhook subscription
*AlertApi* | [**delete_bulk_alert_subscription_email**](docs/AlertApi.md#delete_bulk_alert_subscription_email) | **POST** /alert-subscriptions/emails/:delete | Delete alert email subscription in bulk
*AlertApi* | [**delete_bulk_alert_subscription_webhook**](docs/AlertApi.md#delete_bulk_alert_subscription_webhook) | **POST** /alert-subscriptions/webhooks/:delete | Delete alert webhook subscription in bulk
*AlertApi* | [**disable_alert_rule**](docs/AlertApi.md#disable_alert_rule) | **POST** /alert-policies/{policyId}/rules/{ruleId}/:disable | Disable a rule from an alert policy
*AlertApi* | [**download_alert_report**](docs/AlertApi.md#download_alert_report) | **GET** /alerts/reports/{id} | Download the alerts report
*AlertApi* | [**enable_alert_rule**](docs/AlertApi.md#enable_alert_rule) | **POST** /alert-policies/{policyId}/rules/{ruleId}/:enable | Enable a rule from an alert policy
*AlertApi* | [**get_alert_email_subscription**](docs/AlertApi.md#get_alert_email_subscription) | **GET** /alert-subscriptions/emails/{id} | Get alert email subscription
*AlertApi* | [**get_alert_policy**](docs/AlertApi.md#get_alert_policy) | **GET** /alert-policies/{id} | Get details of an alert policy
*AlertApi* | [**get_alert_rule**](docs/AlertApi.md#get_alert_rule) | **GET** /alert-policies/{policyId}/rules/{ruleId} | Get details of an alert rule
*AlertApi* | [**get_alert_webhook_subscription**](docs/AlertApi.md#get_alert_webhook_subscription) | **GET** /alert-subscriptions/webhooks/{id} | Get alert webhook subscription
*AlertApi* | [**list_alert_email_subscriptions**](docs/AlertApi.md#list_alert_email_subscriptions) | **GET** /alert-subscriptions/emails | List alert email subscriptions
*AlertApi* | [**list_alert_policies**](docs/AlertApi.md#list_alert_policies) | **GET** /alert-policies | List all alert policies
*AlertApi* | [**list_alert_webhook_subscriptions**](docs/AlertApi.md#list_alert_webhook_subscriptions) | **GET** /alert-subscriptions/webhooks | List alert webhook subscriptions
*AlertApi* | [**list_alerts**](docs/AlertApi.md#list_alerts) | **GET** /alerts | List the alerts
*AlertApi* | [**list_available_sites**](docs/AlertApi.md#list_available_sites) | **GET** /alert-policies/available-sites | The list of current owner&#39;s available sites
*AlertApi* | [**update_alert_email_subscription**](docs/AlertApi.md#update_alert_email_subscription) | **PUT** /alert-subscriptions/emails/{id} | Update alert email subscription
*AlertApi* | [**update_alert_policy**](docs/AlertApi.md#update_alert_policy) | **PUT** /alert-policies/{id} | Update a site-based alert policy
*AlertApi* | [**update_alert_rule**](docs/AlertApi.md#update_alert_rule) | **PUT** /alert-policies/{policyId}/rules/{ruleId} | Update an alert rule
*AlertApi* | [**update_alert_webhook_subscription**](docs/AlertApi.md#update_alert_webhook_subscription) | **PUT** /alert-subscriptions/webhooks/{id} | Update alert webhook subscription
*AlertApi* | [**verify_subscription_email**](docs/AlertApi.md#verify_subscription_email) | **POST** /alert-subscriptions/emails/{id}/:verify | Email Verification
*ApplicationApi* | [**list_application_top_clients_usage**](docs/ApplicationApi.md#list_application_top_clients_usage) | **GET** /applications/{id}/clients/top{n} | List the TopN clients for a application
*ApplicationApi* | [**list_applications**](docs/ApplicationApi.md#list_applications) | **GET** /applications | List the applications
*ApplicationApi* | [**list_top_applications_usage**](docs/ApplicationApi.md#list_top_applications_usage) | **GET** /applications/top{n} | List the TopN applications
*AuthenticationApi* | [**login**](docs/AuthenticationApi.md#login) | **POST** /login | User login with username and password
*AuthenticationApi* | [**logout**](docs/AuthenticationApi.md#logout) | **POST** /logout | User logout (Revoke the current access token)
*AuthorizationApi* | [**check_permissions**](docs/AuthorizationApi.md#check_permissions) | **POST** /auth/permissions/:check | Check permissions
*AuthorizationApi* | [**generate_api_token**](docs/AuthorizationApi.md#generate_api_token) | **POST** /auth/apitoken | Generate new API token
*AuthorizationApi* | [**get_current_api_token_info**](docs/AuthorizationApi.md#get_current_api_token_info) | **GET** /auth/apitoken/info | Get current API token details
*AuthorizationApi* | [**list_permissions**](docs/AuthorizationApi.md#list_permissions) | **GET** /auth/permissions | Get permissions for current login user
*AuthorizationApi* | [**validate_api_token**](docs/AuthorizationApi.md#validate_api_token) | **POST** /auth/apitoken/:validate | Validate API token
*ClientApi* | [**disconnect_client**](docs/ClientApi.md#disconnect_client) | **DELETE** /clients/byMac/{clientMac} | Disconnect the client
*ClientApi* | [**get_active_clients_count**](docs/ClientApi.md#get_active_clients_count) | **GET** /clients/active/count | Get active clients count
*ClientApi* | [**get_client**](docs/ClientApi.md#get_client) | **GET** /clients/{id} | Get client info
*ClientApi* | [**get_client_by_mac**](docs/ClientApi.md#get_client_by_mac) | **GET** /clients/byMac/{clientMac} | Get client info by mac
*ClientApi* | [**get_client_summary**](docs/ClientApi.md#get_client_summary) | **GET** /clients/summary | Get client summary metrics
*ClientApi* | [**get_client_usage**](docs/ClientApi.md#get_client_usage) | **GET** /clients/usage | Get usage per client
*ClientApi* | [**list_active_clients**](docs/ClientApi.md#list_active_clients) | **GET** /clients/active | List active clients
*ClientApi* | [**set_clients_aliases**](docs/ClientApi.md#set_clients_aliases) | **PUT** /clients/alias | Set the aliases for multiple clients
*ConfigurationAuthenticationApi* | [**create_external_radius_server**](docs/ConfigurationAuthenticationApi.md#create_external_radius_server) | **POST** /radius-servers/external | Create external RADIUS server configuration
*ConfigurationAuthenticationApi* | [**create_internal_radius_server**](docs/ConfigurationAuthenticationApi.md#create_internal_radius_server) | **POST** /radius-servers/internal | Create internal RADIUS server configuration
*ConfigurationAuthenticationApi* | [**create_ldap_server**](docs/ConfigurationAuthenticationApi.md#create_ldap_server) | **POST** /ldap-servers | Create LDAP server
*ConfigurationAuthenticationApi* | [**create_radius_client_object**](docs/ConfigurationAuthenticationApi.md#create_radius_client_object) | **POST** /radius-client-objects | Create RADIUS client object configuration
*ConfigurationAuthenticationApi* | [**create_radius_proxy**](docs/ConfigurationAuthenticationApi.md#create_radius_proxy) | **POST** /radius-proxies | Create RADIUS proxy configuration
*ConfigurationAuthenticationApi* | [**delete_bulk_internal_radius_server**](docs/ConfigurationAuthenticationApi.md#delete_bulk_internal_radius_server) | **DELETE** /radius-servers/internal | [LRO] Delete internal RADIUS server configuration
*ConfigurationAuthenticationApi* | [**delete_external_radius_server**](docs/ConfigurationAuthenticationApi.md#delete_external_radius_server) | **DELETE** /radius-servers/external/{id} | Delete external RADIUS server configuration
*ConfigurationAuthenticationApi* | [**delete_internal_radius_server**](docs/ConfigurationAuthenticationApi.md#delete_internal_radius_server) | **DELETE** /radius-servers/internal/{id} | Delete internal RADIUS server configuration
*ConfigurationAuthenticationApi* | [**delete_ldap_server**](docs/ConfigurationAuthenticationApi.md#delete_ldap_server) | **DELETE** /ldap-servers/{id} | Delete a LDAP server
*ConfigurationAuthenticationApi* | [**delete_radius_client_object**](docs/ConfigurationAuthenticationApi.md#delete_radius_client_object) | **DELETE** /radius-client-objects/{id} | Delete a RADIUS client object configuration
*ConfigurationAuthenticationApi* | [**delete_radius_proxy**](docs/ConfigurationAuthenticationApi.md#delete_radius_proxy) | **DELETE** /radius-proxies/{id} | Delete the RADIUS proxy configuration
*ConfigurationAuthenticationApi* | [**get_external_radius_server**](docs/ConfigurationAuthenticationApi.md#get_external_radius_server) | **GET** /radius-servers/external/{id} | Get external RADIUS server by ID
*ConfigurationAuthenticationApi* | [**get_internal_radius_server**](docs/ConfigurationAuthenticationApi.md#get_internal_radius_server) | **GET** /radius-servers/internal/{id} | Get internal RADIUS server by ID
*ConfigurationAuthenticationApi* | [**get_ldap_server**](docs/ConfigurationAuthenticationApi.md#get_ldap_server) | **GET** /ldap-servers/{id} | Get LDAP server by ID
*ConfigurationAuthenticationApi* | [**get_radius_client_object**](docs/ConfigurationAuthenticationApi.md#get_radius_client_object) | **GET** /radius-client-objects/{id} | Get RADIUS client object by ID
*ConfigurationAuthenticationApi* | [**get_radius_proxy**](docs/ConfigurationAuthenticationApi.md#get_radius_proxy) | **GET** /radius-proxies/{id} | Get the RADIUS proxy configuration
*ConfigurationAuthenticationApi* | [**list_active_directory_servers**](docs/ConfigurationAuthenticationApi.md#list_active_directory_servers) | **GET** /ad-servers | List active directory servers
*ConfigurationAuthenticationApi* | [**list_captive_web_portals**](docs/ConfigurationAuthenticationApi.md#list_captive_web_portals) | **GET** /cwps | List captive web portals
*ConfigurationAuthenticationApi* | [**list_external_radius_servers**](docs/ConfigurationAuthenticationApi.md#list_external_radius_servers) | **GET** /radius-servers/external | List external RADIUS servers
*ConfigurationAuthenticationApi* | [**list_internal_radius_devices**](docs/ConfigurationAuthenticationApi.md#list_internal_radius_devices) | **GET** /radius-servers/internal/devices | List all internal RADIUS devices
*ConfigurationAuthenticationApi* | [**list_internal_radius_servers**](docs/ConfigurationAuthenticationApi.md#list_internal_radius_servers) | **GET** /radius-servers/internal | List all internal RADIUS servers
*ConfigurationAuthenticationApi* | [**list_ldap_servers**](docs/ConfigurationAuthenticationApi.md#list_ldap_servers) | **GET** /ldap-servers | List LDAP servers
*ConfigurationAuthenticationApi* | [**list_radius_client_objects**](docs/ConfigurationAuthenticationApi.md#list_radius_client_objects) | **GET** /radius-client-objects | List RADIUS client objects
*ConfigurationAuthenticationApi* | [**list_radius_proxies**](docs/ConfigurationAuthenticationApi.md#list_radius_proxies) | **GET** /radius-proxies | List RADIUS proxies
*ConfigurationAuthenticationApi* | [**list_radius_proxy_devices**](docs/ConfigurationAuthenticationApi.md#list_radius_proxy_devices) | **GET** /radius-proxies/devices | List Radius proxy devices
*ConfigurationAuthenticationApi* | [**update_external_radius_server**](docs/ConfigurationAuthenticationApi.md#update_external_radius_server) | **PUT** /radius-servers/external/{id} | Update external RADIUS server configuration
*ConfigurationAuthenticationApi* | [**update_internal_radius_server**](docs/ConfigurationAuthenticationApi.md#update_internal_radius_server) | **PUT** /radius-servers/internal/{id} | Update internal RADIUS server configuration
*ConfigurationAuthenticationApi* | [**update_ldap_server**](docs/ConfigurationAuthenticationApi.md#update_ldap_server) | **PUT** /ldap-servers/{id} | Update LDAP server configuration
*ConfigurationAuthenticationApi* | [**update_radius_client_object**](docs/ConfigurationAuthenticationApi.md#update_radius_client_object) | **PUT** /radius-client-objects/{id} | Update RADIUS client object configuration
*ConfigurationAuthenticationApi* | [**update_radius_proxy**](docs/ConfigurationAuthenticationApi.md#update_radius_proxy) | **PUT** /radius-proxies/{id} | Update RADIUS proxy configuration
*ConfigurationBasicApi* | [**create_vlan_profile**](docs/ConfigurationBasicApi.md#create_vlan_profile) | **POST** /vlan-profiles | Create VLAN profile
*ConfigurationBasicApi* | [**delete_vlan_profile**](docs/ConfigurationBasicApi.md#delete_vlan_profile) | **DELETE** /vlan-profiles/{id} | Delete a VLAN profile
*ConfigurationBasicApi* | [**delete_vlan_profiles**](docs/ConfigurationBasicApi.md#delete_vlan_profiles) | **POST** /vlan-profiles/:delete | [LRO] Delete VLAN profiles
*ConfigurationBasicApi* | [**get_vlan_profile**](docs/ConfigurationBasicApi.md#get_vlan_profile) | **GET** /vlan-profiles/{id} | Get a VLAN profile
*ConfigurationBasicApi* | [**list_vlan_profiles**](docs/ConfigurationBasicApi.md#list_vlan_profiles) | **GET** /vlan-profiles | List VLAN profiles
*ConfigurationBasicApi* | [**update_vlan_profile**](docs/ConfigurationBasicApi.md#update_vlan_profile) | **PATCH** /vlan-profiles/{id} | Update a VLAN profile
*ConfigurationCertificateApi* | [**list_certificates**](docs/ConfigurationCertificateApi.md#list_certificates) | **GET** /certificates | List certificates
*ConfigurationDeploymentApi* | [**deploy_config**](docs/ConfigurationDeploymentApi.md#deploy_config) | **POST** /deployments | [LRO] Push configuration and upgrade firmware
*ConfigurationDeploymentApi* | [**get_deploy_overview**](docs/ConfigurationDeploymentApi.md#get_deploy_overview) | **GET** /deployments/overview | Get configuration deployment overview
*ConfigurationDeploymentApi* | [**get_deploy_status**](docs/ConfigurationDeploymentApi.md#get_deploy_status) | **GET** /deployments/status | Get configuration deployment status
*ConfigurationDeploymentApi* | [**get_device_firmware_metadatas**](docs/ConfigurationDeploymentApi.md#get_device_firmware_metadatas) | **POST** /deployments/firmware-metadatas | Get device firmware metadatas
*ConfigurationNetworkApi* | [**create_network_services**](docs/ConfigurationNetworkApi.md#create_network_services) | **POST** /network-services | Create Network Services
*ConfigurationNetworkApi* | [**create_tunnel_concentrator**](docs/ConfigurationNetworkApi.md#create_tunnel_concentrator) | **POST** /tunnel-concentrators | Create a Tunnel Concentrator
*ConfigurationNetworkApi* | [**delete_network_service**](docs/ConfigurationNetworkApi.md#delete_network_service) | **DELETE** /network-services/{id} | Delete Network Services
*ConfigurationNetworkApi* | [**delete_tunnel_concentrator**](docs/ConfigurationNetworkApi.md#delete_tunnel_concentrator) | **DELETE** /tunnel-concentrators/{id} | Delete TunnelConcentrator by ID
*ConfigurationNetworkApi* | [**get_tunnel_concentrator**](docs/ConfigurationNetworkApi.md#get_tunnel_concentrator) | **GET** /tunnel-concentrators/{id} | Get Tunnel Concentrator by ID
*ConfigurationNetworkApi* | [**list_network_services**](docs/ConfigurationNetworkApi.md#list_network_services) | **GET** /network-services | List Network Services
*ConfigurationNetworkApi* | [**list_tunnel_concentrators**](docs/ConfigurationNetworkApi.md#list_tunnel_concentrators) | **GET** /tunnel-concentrators | List Tunnel Concentrators
*ConfigurationNetworkApi* | [**update_tunnel_concentrator**](docs/ConfigurationNetworkApi.md#update_tunnel_concentrator) | **PUT** /tunnel-concentrators/{id} | Update TunnelConcentrator by ID
*ConfigurationPolicyApi* | [**attach_client_monitor_profile_to_ssid**](docs/ConfigurationPolicyApi.md#attach_client_monitor_profile_to_ssid) | **POST** /ssids/{id}/client-monitor-profile/:attach | Attach client monitor profile to an SSID
*ConfigurationPolicyApi* | [**attach_cwp_to_ssid**](docs/ConfigurationPolicyApi.md#attach_cwp_to_ssid) | **POST** /ssids/{id}/cwp/:attach | Attach CWP to an SSID
*ConfigurationPolicyApi* | [**attach_ip_firewall_policy_to_user_profile**](docs/ConfigurationPolicyApi.md#attach_ip_firewall_policy_to_user_profile) | **POST** /user-profiles/{id}/ip-firewall-policies/:attach | Attach IP Firewall Policy to an User Profile
*ConfigurationPolicyApi* | [**attach_mac_firewall_policy_to_user_profile**](docs/ConfigurationPolicyApi.md#attach_mac_firewall_policy_to_user_profile) | **POST** /user-profiles/{id}/mac-firewall-policies/:attach | Attach MAC Firewall Policy to an User Profile
*ConfigurationPolicyApi* | [**attach_radius_client_profile_to_ssid**](docs/ConfigurationPolicyApi.md#attach_radius_client_profile_to_ssid) | **POST** /ssids/{id}/radius-client-profile/:attach | Attach RADIUS client profile to an SSID
*ConfigurationPolicyApi* | [**attach_radius_server_group_to_ssid**](docs/ConfigurationPolicyApi.md#attach_radius_server_group_to_ssid) | **POST** /ssids/{id}/radius-server-group/:attach | Attach radius server group to an SSID
*ConfigurationPolicyApi* | [**attach_service_to_ip_firewall_policy**](docs/ConfigurationPolicyApi.md#attach_service_to_ip_firewall_policy) | **POST** /ip-firewall-policies/{id}/ip-firewall-rule/:attach | Attach IP Firewall Rule to IP Firewall policy
*ConfigurationPolicyApi* | [**attach_service_to_mac_firewall_policy**](docs/ConfigurationPolicyApi.md#attach_service_to_mac_firewall_policy) | **POST** /mac-firewall-policies/{id}/mac-firewall-rule/:attach | Attach MAC Firewall Rule to MAC Firewall policy
*ConfigurationPolicyApi* | [**attach_user_profile_assignment_to_ssid**](docs/ConfigurationPolicyApi.md#attach_user_profile_assignment_to_ssid) | **POST** /ssids/{id}/user-profile-assignment/:attach | Attach user profile assignment to an SSID
*ConfigurationPolicyApi* | [**attach_user_profile_to_ssid**](docs/ConfigurationPolicyApi.md#attach_user_profile_to_ssid) | **POST** /ssids/{id}/user-profile/:attach | Attach user profile to an SSID
*ConfigurationPolicyApi* | [**change_psk_password**](docs/ConfigurationPolicyApi.md#change_psk_password) | **PUT** /ssids/{id}/psk/password | Change the SSID PSK password
*ConfigurationPolicyApi* | [**create_classification_rule**](docs/ConfigurationPolicyApi.md#create_classification_rule) | **POST** /classification-rules | Create classification rule
*ConfigurationPolicyApi* | [**create_client_monitor_profile**](docs/ConfigurationPolicyApi.md#create_client_monitor_profile) | **POST** /client-monitor-profiles | Create a client monitor profile
*ConfigurationPolicyApi* | [**create_cloud_config_group**](docs/ConfigurationPolicyApi.md#create_cloud_config_group) | **POST** /ccgs | Create new cloud config group
*ConfigurationPolicyApi* | [**create_iot_profile**](docs/ConfigurationPolicyApi.md#create_iot_profile) | **POST** /iot-profiles | Create a IoT profile
*ConfigurationPolicyApi* | [**create_ip_firewall_policy**](docs/ConfigurationPolicyApi.md#create_ip_firewall_policy) | **POST** /ip-firewall-policies | Create IP Firewall policy
*ConfigurationPolicyApi* | [**create_l3_address_profile**](docs/ConfigurationPolicyApi.md#create_l3_address_profile) | **POST** /l3-address-profiles | Create a L3 address profile
*ConfigurationPolicyApi* | [**create_mac_firewall_policy**](docs/ConfigurationPolicyApi.md#create_mac_firewall_policy) | **POST** /mac-firewall-policies | Create MAC Firewall policy
*ConfigurationPolicyApi* | [**create_mac_object**](docs/ConfigurationPolicyApi.md#create_mac_object) | **POST** /mac-object-profiles | Create a mac object
*ConfigurationPolicyApi* | [**create_mac_oui_profile**](docs/ConfigurationPolicyApi.md#create_mac_oui_profile) | **POST** /radio-profiles/mac-ouis | Create a MAC OUI profile
*ConfigurationPolicyApi* | [**create_radio_profile**](docs/ConfigurationPolicyApi.md#create_radio_profile) | **POST** /radio-profiles | Create a radio profile
*ConfigurationPolicyApi* | [**create_user_profile**](docs/ConfigurationPolicyApi.md#create_user_profile) | **POST** /user-profiles | Create a user profile
*ConfigurationPolicyApi* | [**create_user_profile_assignment**](docs/ConfigurationPolicyApi.md#create_user_profile_assignment) | **POST** /user-profile-assignments | Create a user profile assignment
*ConfigurationPolicyApi* | [**delete_classification_rule**](docs/ConfigurationPolicyApi.md#delete_classification_rule) | **DELETE** /classification-rules/{id} | Delete classification rule by ID
*ConfigurationPolicyApi* | [**delete_client_monitor_profile**](docs/ConfigurationPolicyApi.md#delete_client_monitor_profile) | **DELETE** /client-monitor-profiles/{id} | Delete an client monitor profile by ID
*ConfigurationPolicyApi* | [**delete_cloud_config_group**](docs/ConfigurationPolicyApi.md#delete_cloud_config_group) | **DELETE** /ccgs/{id} | Delete a cloud config group
*ConfigurationPolicyApi* | [**delete_co_user_profile**](docs/ConfigurationPolicyApi.md#delete_co_user_profile) | **DELETE** /user-profiles/{id} | Delete an user profile by ID
*ConfigurationPolicyApi* | [**delete_iot_profile**](docs/ConfigurationPolicyApi.md#delete_iot_profile) | **DELETE** /iot-profiles/{id} | Delete IoT profile by ID
*ConfigurationPolicyApi* | [**delete_ip_firewall_policy**](docs/ConfigurationPolicyApi.md#delete_ip_firewall_policy) | **DELETE** /ip-firewall-policies/{id} | Delete IP Firewall policy by ID
*ConfigurationPolicyApi* | [**delete_l3_address_profile**](docs/ConfigurationPolicyApi.md#delete_l3_address_profile) | **DELETE** /l3-address-profiles/{id} | Delete a L3 address profile by ID
*ConfigurationPolicyApi* | [**delete_mac_firewall_policy**](docs/ConfigurationPolicyApi.md#delete_mac_firewall_policy) | **DELETE** /mac-firewall-policies/{id} | Delete MAC Firewall policy by ID
*ConfigurationPolicyApi* | [**delete_mac_object_profiles**](docs/ConfigurationPolicyApi.md#delete_mac_object_profiles) | **DELETE** /mac-object-profiles/{id} | Delete a MAC object by ID
*ConfigurationPolicyApi* | [**delete_radio_profile**](docs/ConfigurationPolicyApi.md#delete_radio_profile) | **DELETE** /radio-profiles/{id} | Delete radio profile by ID
*ConfigurationPolicyApi* | [**delete_rp_mac_oui_profile**](docs/ConfigurationPolicyApi.md#delete_rp_mac_oui_profile) | **DELETE** /radio-profiles/mac-ouis/{id} | Delete MAC OUI profile
*ConfigurationPolicyApi* | [**delete_user_profile_assignment**](docs/ConfigurationPolicyApi.md#delete_user_profile_assignment) | **DELETE** /user-profile-assignments/{id} | Delete an user profile assignment by ID
*ConfigurationPolicyApi* | [**detach_ip_firewall_policy_from_user_profile**](docs/ConfigurationPolicyApi.md#detach_ip_firewall_policy_from_user_profile) | **POST** /user-profiles/{id}/ip-firewall-policies/:detach | Detach IP Firewall Policy from an User Profile
*ConfigurationPolicyApi* | [**detach_mac_firewall_policy_from_user_profile**](docs/ConfigurationPolicyApi.md#detach_mac_firewall_policy_from_user_profile) | **POST** /user-profiles/{id}/mac-firewall-policies/:detach | Detach MAC Firewall Policy from an User Profile
*ConfigurationPolicyApi* | [**detach_service_to_ip_firewall_policy**](docs/ConfigurationPolicyApi.md#detach_service_to_ip_firewall_policy) | **POST** /ip-firewall-policies/{id}/ip-firewall-rule/:detach | Detach IP Firewall Rule from IP Firewall policy
*ConfigurationPolicyApi* | [**detach_service_to_mac_firewall_policy**](docs/ConfigurationPolicyApi.md#detach_service_to_mac_firewall_policy) | **POST** /mac-firewall-policies/{id}/mac-firewall-rule/:detach | Detach MAC Firewall Rule from MAC Firewall policy
*ConfigurationPolicyApi* | [**disable_ssid_cwp**](docs/ConfigurationPolicyApi.md#disable_ssid_cwp) | **POST** /ssids/{id}/cwp/:disable | Disable the CWP on the SSID
*ConfigurationPolicyApi* | [**enable_ssid_cwp**](docs/ConfigurationPolicyApi.md#enable_ssid_cwp) | **POST** /ssids/{id}/cwp/:enable | Enable and attach the CWP on the SSID
*ConfigurationPolicyApi* | [**get_classification_rule**](docs/ConfigurationPolicyApi.md#get_classification_rule) | **GET** /classification-rules/{id} | Get a classification rule by ID
*ConfigurationPolicyApi* | [**get_client_monitor_profile**](docs/ConfigurationPolicyApi.md#get_client_monitor_profile) | **GET** /client-monitor-profiles/{id} | Get client monitor profile by ID
*ConfigurationPolicyApi* | [**get_cloud_config_group**](docs/ConfigurationPolicyApi.md#get_cloud_config_group) | **GET** /ccgs/{id} | Get a cloud config group
*ConfigurationPolicyApi* | [**get_iot_profile**](docs/ConfigurationPolicyApi.md#get_iot_profile) | **GET** /iot-profiles/{id} | Get IoT profile by ID
*ConfigurationPolicyApi* | [**get_ip_firewall_policy**](docs/ConfigurationPolicyApi.md#get_ip_firewall_policy) | **GET** /ip-firewall-policies/{id} | Get IP Firewall Policy by ID
*ConfigurationPolicyApi* | [**get_l3_address_profile**](docs/ConfigurationPolicyApi.md#get_l3_address_profile) | **GET** /l3-address-profiles/{id} | Get a L3 address profile by ID
*ConfigurationPolicyApi* | [**get_mac_firewall_policy**](docs/ConfigurationPolicyApi.md#get_mac_firewall_policy) | **GET** /mac-firewall-policies/{id} | Get MAC Firewall Policy by ID
*ConfigurationPolicyApi* | [**get_mac_object**](docs/ConfigurationPolicyApi.md#get_mac_object) | **GET** /mac-object-profiles/{id} | Get MAC Object by ID
*ConfigurationPolicyApi* | [**get_neighborhood_analysis**](docs/ConfigurationPolicyApi.md#get_neighborhood_analysis) | **GET** /radio-profiles/neighborhood-analysis/{id} | Get neighborhood analysis settings
*ConfigurationPolicyApi* | [**get_radio_operating_modes**](docs/ConfigurationPolicyApi.md#get_radio_operating_modes) | **GET** /radio-operating-modes/{productType} | Get Radio Operating Modes by product type
*ConfigurationPolicyApi* | [**get_radio_profile**](docs/ConfigurationPolicyApi.md#get_radio_profile) | **GET** /radio-profiles/{id} | Get radio profile by ID
*ConfigurationPolicyApi* | [**get_rp_channel_selection**](docs/ConfigurationPolicyApi.md#get_rp_channel_selection) | **GET** /radio-profiles/channel-selection/{id} | Get channel selection settings
*ConfigurationPolicyApi* | [**get_rp_mac_oui_profile**](docs/ConfigurationPolicyApi.md#get_rp_mac_oui_profile) | **GET** /radio-profiles/mac-ouis/{id} | Get MAC OUI profile
*ConfigurationPolicyApi* | [**get_rp_miscellaneous_settings**](docs/ConfigurationPolicyApi.md#get_rp_miscellaneous_settings) | **GET** /radio-profiles/miscellaneous/{id} | Get radio miscellaneous settings
*ConfigurationPolicyApi* | [**get_rp_radio_usage_optimization**](docs/ConfigurationPolicyApi.md#get_rp_radio_usage_optimization) | **GET** /radio-profiles/radio-usage-opt/{id} | Get radio usage optimization settings
*ConfigurationPolicyApi* | [**get_rp_sensor_scan_settings**](docs/ConfigurationPolicyApi.md#get_rp_sensor_scan_settings) | **GET** /radio-profiles/sensor-scan/{id} | Get sensor scan settings
*ConfigurationPolicyApi* | [**get_rp_wmm_qos_settings**](docs/ConfigurationPolicyApi.md#get_rp_wmm_qos_settings) | **GET** /radio-profiles/wmm-qos/{id} | Get Wmm QoS settings
*ConfigurationPolicyApi* | [**get_ssid_advanced_settings**](docs/ConfigurationPolicyApi.md#get_ssid_advanced_settings) | **GET** /ssids/advanced-settings/{id} | Get SSID advanced settings
*ConfigurationPolicyApi* | [**get_user_profile**](docs/ConfigurationPolicyApi.md#get_user_profile) | **GET** /user-profiles/{id} | Get user profile by ID
*ConfigurationPolicyApi* | [**get_user_profile_assignment**](docs/ConfigurationPolicyApi.md#get_user_profile_assignment) | **GET** /user-profile-assignments/{id} | Get user profile assignment by ID
*ConfigurationPolicyApi* | [**list_classification_rules**](docs/ConfigurationPolicyApi.md#list_classification_rules) | **GET** /classification-rules | List classification rules
*ConfigurationPolicyApi* | [**list_client_monitor_profiles**](docs/ConfigurationPolicyApi.md#list_client_monitor_profiles) | **GET** /client-monitor-profiles | List client monitor profiles
*ConfigurationPolicyApi* | [**list_cloud_config_groups**](docs/ConfigurationPolicyApi.md#list_cloud_config_groups) | **GET** /ccgs | List clould config groups
*ConfigurationPolicyApi* | [**list_iot_profiles**](docs/ConfigurationPolicyApi.md#list_iot_profiles) | **GET** /iot-profiles | List IoT profiles
*ConfigurationPolicyApi* | [**list_ip_firewall_policies**](docs/ConfigurationPolicyApi.md#list_ip_firewall_policies) | **GET** /ip-firewall-policies | List IP Firewall policies
*ConfigurationPolicyApi* | [**list_l3_address_profiles**](docs/ConfigurationPolicyApi.md#list_l3_address_profiles) | **GET** /l3-address-profiles | List L3 address profiles
*ConfigurationPolicyApi* | [**list_mac_firewall_policies**](docs/ConfigurationPolicyApi.md#list_mac_firewall_policies) | **GET** /mac-firewall-policies | List MAC Firewall policies
*ConfigurationPolicyApi* | [**list_mac_object_profiles**](docs/ConfigurationPolicyApi.md#list_mac_object_profiles) | **GET** /mac-object-profiles | List mac object profiles
*ConfigurationPolicyApi* | [**list_radio_profiles**](docs/ConfigurationPolicyApi.md#list_radio_profiles) | **GET** /radio-profiles | List radio profiles
*ConfigurationPolicyApi* | [**list_rp_mac_oui_profiles**](docs/ConfigurationPolicyApi.md#list_rp_mac_oui_profiles) | **GET** /radio-profiles/mac-ouis | List MAC OUI profiles
*ConfigurationPolicyApi* | [**list_ssids**](docs/ConfigurationPolicyApi.md#list_ssids) | **GET** /ssids | List SSIDs
*ConfigurationPolicyApi* | [**list_user_profile_assignments**](docs/ConfigurationPolicyApi.md#list_user_profile_assignments) | **GET** /user-profile-assignments | List user profile assignments
*ConfigurationPolicyApi* | [**list_user_profiles**](docs/ConfigurationPolicyApi.md#list_user_profiles) | **GET** /user-profiles | List user profiles
*ConfigurationPolicyApi* | [**rename_ssid**](docs/ConfigurationPolicyApi.md#rename_ssid) | **POST** /ssids/{id}/:rename | Rename SSID (Wireless name)
*ConfigurationPolicyApi* | [**set_ssid_mode_dot1x**](docs/ConfigurationPolicyApi.md#set_ssid_mode_dot1x) | **PUT** /ssids/{id}/mode/dot1x | Change the SSID mode to 802.1x
*ConfigurationPolicyApi* | [**set_ssid_mode_open**](docs/ConfigurationPolicyApi.md#set_ssid_mode_open) | **PUT** /ssids/{id}/mode/open | Change the SSID mode to open access
*ConfigurationPolicyApi* | [**set_ssid_mode_ppsk**](docs/ConfigurationPolicyApi.md#set_ssid_mode_ppsk) | **PUT** /ssids/{id}/mode/ppsk | Change the SSID mode to PPSK
*ConfigurationPolicyApi* | [**set_ssid_mode_psk**](docs/ConfigurationPolicyApi.md#set_ssid_mode_psk) | **PUT** /ssids/{id}/mode/psk | Change the SSID mode to PSK
*ConfigurationPolicyApi* | [**set_ssid_mode_wep**](docs/ConfigurationPolicyApi.md#set_ssid_mode_wep) | **PUT** /ssids/{id}/mode/wep | Change the SSID mode to WEP
*ConfigurationPolicyApi* | [**update_classification_rule**](docs/ConfigurationPolicyApi.md#update_classification_rule) | **PUT** /classification-rules/{id} | Update classification rule
*ConfigurationPolicyApi* | [**update_client_monitor_profile**](docs/ConfigurationPolicyApi.md#update_client_monitor_profile) | **PUT** /client-monitor-profiles/{id} | Update client monitor profile
*ConfigurationPolicyApi* | [**update_cloud_config_group**](docs/ConfigurationPolicyApi.md#update_cloud_config_group) | **PUT** /ccgs/{id} | Update cloud config group information
*ConfigurationPolicyApi* | [**update_co_user_profile**](docs/ConfigurationPolicyApi.md#update_co_user_profile) | **PUT** /user-profiles/{id} | Update user profile
*ConfigurationPolicyApi* | [**update_iot_profile**](docs/ConfigurationPolicyApi.md#update_iot_profile) | **PUT** /iot-profiles/{id} | Update IoT profile by ID
*ConfigurationPolicyApi* | [**update_ip_policy_request**](docs/ConfigurationPolicyApi.md#update_ip_policy_request) | **PUT** /ip-firewall-policies/{id} | Update IP Firewall policy by ID
*ConfigurationPolicyApi* | [**update_l3_address_profile**](docs/ConfigurationPolicyApi.md#update_l3_address_profile) | **PUT** /l3-address-profiles/{id} | Update a L3 address profile
*ConfigurationPolicyApi* | [**update_mac_firewall_policy**](docs/ConfigurationPolicyApi.md#update_mac_firewall_policy) | **PUT** /mac-firewall-policies/{id} | Update MAC Firewall policy by ID
*ConfigurationPolicyApi* | [**update_mac_object**](docs/ConfigurationPolicyApi.md#update_mac_object) | **PUT** /mac-object-profiles/{id} | Update MAC Object by ID
*ConfigurationPolicyApi* | [**update_neighborhood_analysis**](docs/ConfigurationPolicyApi.md#update_neighborhood_analysis) | **PUT** /radio-profiles/neighborhood-analysis/{id} | Update neighborhood analysis settings
*ConfigurationPolicyApi* | [**update_radio_profile**](docs/ConfigurationPolicyApi.md#update_radio_profile) | **PUT** /radio-profiles/{id} | Update radio profile by ID
*ConfigurationPolicyApi* | [**update_rp_channel_selection**](docs/ConfigurationPolicyApi.md#update_rp_channel_selection) | **PUT** /radio-profiles/channel-selection/{id} | Update channel selection settings
*ConfigurationPolicyApi* | [**update_rp_mac_oui_profile**](docs/ConfigurationPolicyApi.md#update_rp_mac_oui_profile) | **PUT** /radio-profiles/mac-ouis/{id} | Update MAC OUI profile
*ConfigurationPolicyApi* | [**update_rp_miscellaneous_settings**](docs/ConfigurationPolicyApi.md#update_rp_miscellaneous_settings) | **PUT** /radio-profiles/miscellaneous/{id} | Update radio miscellaneous settings
*ConfigurationPolicyApi* | [**update_rp_radio_usage_optimization**](docs/ConfigurationPolicyApi.md#update_rp_radio_usage_optimization) | **PUT** /radio-profiles/radio-usage-opt/{id} | Update radio usage optimization settings
*ConfigurationPolicyApi* | [**update_rp_sensor_scan_settings**](docs/ConfigurationPolicyApi.md#update_rp_sensor_scan_settings) | **PUT** /radio-profiles/sensor-scan/{id} | Update sensor scan settings
*ConfigurationPolicyApi* | [**update_rp_wmm_qos_settings**](docs/ConfigurationPolicyApi.md#update_rp_wmm_qos_settings) | **PUT** /radio-profiles/wmm-qos/{id} | Update Wmm QoS settings
*ConfigurationPolicyApi* | [**update_ssid_advanced_settings**](docs/ConfigurationPolicyApi.md#update_ssid_advanced_settings) | **PUT** /ssids/advanced-settings/{id} | Update SSID advanced settings
*ConfigurationUserManagementApi* | [**add_key_based_pcg_users**](docs/ConfigurationUserManagementApi.md#add_key_based_pcg_users) | **POST** /pcgs/key-based/network-policy-{policyId}/users | [LRO] Add users to a PCG-enabled network policy
*ConfigurationUserManagementApi* | [**assign_ports**](docs/ConfigurationUserManagementApi.md#assign_ports) | **POST** /pcgs/key-based/network-policy-{policyId}/port-assignments | Assign ports to devices in network policy
*ConfigurationUserManagementApi* | [**create_end_user**](docs/ConfigurationUserManagementApi.md#create_end_user) | **POST** /endusers | Create an end user
*ConfigurationUserManagementApi* | [**create_key_based_pcg_network_policy**](docs/ConfigurationUserManagementApi.md#create_key_based_pcg_network_policy) | **POST** /pcgs/key-based | [LRO] Create a Key-based Private Client Group
*ConfigurationUserManagementApi* | [**create_user_group**](docs/ConfigurationUserManagementApi.md#create_user_group) | **POST** /usergroups | Create user group
*ConfigurationUserManagementApi* | [**delete_key_based_pcg_users**](docs/ConfigurationUserManagementApi.md#delete_key_based_pcg_users) | **DELETE** /pcgs/key-based/network-policy-{policyId}/users | Delete users from a PCG-enabled network policy
*ConfigurationUserManagementApi* | [**delete_pcg**](docs/ConfigurationUserManagementApi.md#delete_pcg) | **DELETE** /pcgs/key-based/network-policy-{policyId} | Delete Private Client Group from a network policy
*ConfigurationUserManagementApi* | [**delete_ssid_user**](docs/ConfigurationUserManagementApi.md#delete_ssid_user) | **DELETE** /endusers/{id} | Delete end user by ID
*ConfigurationUserManagementApi* | [**delete_user_group**](docs/ConfigurationUserManagementApi.md#delete_user_group) | **DELETE** /usergroups/{id} | Delete user group by ID
*ConfigurationUserManagementApi* | [**email_keys**](docs/ConfigurationUserManagementApi.md#email_keys) | **POST** /pcgs/key-based/network-policy-{policyId}/keys/:email | Send keys to users in network policy via Email
*ConfigurationUserManagementApi* | [**generate_keys**](docs/ConfigurationUserManagementApi.md#generate_keys) | **POST** /pcgs/key-based/network-policy-{policyId}/keys/:generate | Generate shared keys for users in network policy
*ConfigurationUserManagementApi* | [**get_key_based_pcg_users**](docs/ConfigurationUserManagementApi.md#get_key_based_pcg_users) | **GET** /pcgs/key-based/network-policy-{policyId}/users | Get users for a PCG-enabled network policy
*ConfigurationUserManagementApi* | [**get_port_assignments**](docs/ConfigurationUserManagementApi.md#get_port_assignments) | **GET** /pcgs/key-based/network-policy-{policyId}/port-assignments | Get device port assignments in network policy
*ConfigurationUserManagementApi* | [**list_email_templates**](docs/ConfigurationUserManagementApi.md#list_email_templates) | **GET** /email-templates | List Email templates
*ConfigurationUserManagementApi* | [**list_end_users**](docs/ConfigurationUserManagementApi.md#list_end_users) | **GET** /endusers | List end users
*ConfigurationUserManagementApi* | [**list_key_based_private_client_groups**](docs/ConfigurationUserManagementApi.md#list_key_based_private_client_groups) | **GET** /pcgs/key-based | List Key-based Private Client Groups
*ConfigurationUserManagementApi* | [**list_sms_templates**](docs/ConfigurationUserManagementApi.md#list_sms_templates) | **GET** /sms-templates | List SMS templates
*ConfigurationUserManagementApi* | [**list_user_groups**](docs/ConfigurationUserManagementApi.md#list_user_groups) | **GET** /usergroups | List user groups
*ConfigurationUserManagementApi* | [**onboard_key_based_private_client_group**](docs/ConfigurationUserManagementApi.md#onboard_key_based_private_client_group) | **POST** /pcgs/key-based/network-policy-{policyId}/:onboard | [LRO] Onboard Key-based PCG in network policy
*ConfigurationUserManagementApi* | [**regenerate_end_user_password**](docs/ConfigurationUserManagementApi.md#regenerate_end_user_password) | **POST** /endusers/{id}/:regenerate-password | Regenerate a new password for the end user
*ConfigurationUserManagementApi* | [**update_end_user**](docs/ConfigurationUserManagementApi.md#update_end_user) | **PUT** /endusers/{id} | Update an end user
*ConfigurationUserManagementApi* | [**update_key_based_pcg_users**](docs/ConfigurationUserManagementApi.md#update_key_based_pcg_users) | **PUT** /pcgs/key-based/network-policy-{policyId}/users | Replace all users in a PCG-enabled network policy
*ConfigurationUserManagementApi* | [**update_user_group**](docs/ConfigurationUserManagementApi.md#update_user_group) | **PUT** /usergroups/{id} | Update user group
*CopilotAnomaliesApi* | [**get_anomalies_notifications**](docs/CopilotAnomaliesApi.md#get_anomalies_notifications) | **GET** /copilot/anomalies/notifications | 
*CopilotAnomaliesApi* | [**get_anomalies_report**](docs/CopilotAnomaliesApi.md#get_anomalies_report) | **GET** /copilot/anomalies/report | 
*CopilotAnomaliesApi* | [**get_assurance_scans_overview_data**](docs/CopilotAnomaliesApi.md#get_assurance_scans_overview_data) | **GET** /copilot/assurance-scans/overview | 
*CopilotAnomaliesApi* | [**get_atp_device_stats**](docs/CopilotAnomaliesApi.md#get_atp_device_stats) | **GET** /copilot/anomalies/adverse-traffic/device-stats | 
*CopilotAnomaliesApi* | [**get_atp_packet_counts**](docs/CopilotAnomaliesApi.md#get_atp_packet_counts) | **GET** /copilot/anomalies/adverse-traffic/packet-counts | 
*CopilotAnomaliesApi* | [**get_copilot_anomaliesby_category**](docs/CopilotAnomaliesApi.md#get_copilot_anomaliesby_category) | **GET** /copilot/anomalies/anomalies-by-category | 
*CopilotAnomaliesApi* | [**get_copilot_devices_with_locations**](docs/CopilotAnomaliesApi.md#get_copilot_devices_with_locations) | **GET** /copilot/anomalies/devices-with-locations | 
*CopilotAnomaliesApi* | [**get_devices_by_location**](docs/CopilotAnomaliesApi.md#get_devices_by_location) | **GET** /copilot/anomalies/devices-by-location | 
*CopilotAnomaliesApi* | [**get_dfs_recurrence_channel_stats**](docs/CopilotAnomaliesApi.md#get_dfs_recurrence_channel_stats) | **GET** /copilot/anomalies/dfs-recurrence/channel-stats | 
*CopilotAnomaliesApi* | [**get_dfs_recurrence_count_stats**](docs/CopilotAnomaliesApi.md#get_dfs_recurrence_count_stats) | **GET** /copilot/anomalies/dfs-recurrence/count-stats | 
*CopilotAnomaliesApi* | [**get_lldp_cdp_info**](docs/CopilotAnomaliesApi.md#get_lldp_cdp_info) | **GET** /copilot/anomalies/poeflapping/lldp-cdp-info | 
*CopilotAnomaliesApi* | [**get_poe_flapping_stats**](docs/CopilotAnomaliesApi.md#get_poe_flapping_stats) | **GET** /copilot/anomalies/poeflapping/stats | 
*CopilotAnomaliesApi* | [**get_poe_flapping_trends**](docs/CopilotAnomaliesApi.md#get_poe_flapping_trends) | **GET** /copilot/anomalies/poeflapping/trends | 
*CopilotAnomaliesApi* | [**get_port_efficiency_speed_duplex_stats**](docs/CopilotAnomaliesApi.md#get_port_efficiency_speed_duplex_stats) | **GET** /copilot/anomalies/port-efficiency/speed-duplex-stats | 
*CopilotAnomaliesApi* | [**get_port_efficiency_stats**](docs/CopilotAnomaliesApi.md#get_port_efficiency_stats) | **GET** /copilot/anomalies/port-efficiency/stats | 
*CopilotAnomaliesApi* | [**get_wifi_capacity_client_list**](docs/CopilotAnomaliesApi.md#get_wifi_capacity_client_list) | **GET** /copilot/anomalies/wifi-capacity/client-list | 
*CopilotAnomaliesApi* | [**get_wifi_capacity_stats**](docs/CopilotAnomaliesApi.md#get_wifi_capacity_stats) | **GET** /copilot/anomalies/wifi-capacity/stats | 
*CopilotAnomaliesApi* | [**get_wifi_efficiency_client_list**](docs/CopilotAnomaliesApi.md#get_wifi_efficiency_client_list) | **GET** /copilot/anomalies/wifi-efficiency/client-list | 
*CopilotAnomaliesApi* | [**get_wifi_efficiency_stats**](docs/CopilotAnomaliesApi.md#get_wifi_efficiency_stats) | **GET** /copilot/anomalies/wifi-efficiency/stats | 
*CopilotAnomaliesApi* | [**list_anomaly_locations**](docs/CopilotAnomaliesApi.md#list_anomaly_locations) | **GET** /copilot/anomalies/locations | 
*CopilotAnomaliesApi* | [**update_anomalies_feedback**](docs/CopilotAnomaliesApi.md#update_anomalies_feedback) | **PUT** /copilot/anomalies/devices/feedback | 
*CopilotAnomaliesApi* | [**update_anomaly_action**](docs/CopilotAnomaliesApi.md#update_anomaly_action) | **PUT** /copilot/anomalies/update-action | 
*CopilotAnomaliesApi* | [**update_anomaly_device_action**](docs/CopilotAnomaliesApi.md#update_anomaly_device_action) | **PUT** /copilot/anomalies/devices/update-action | 
*CopilotAnomaliesApi* | [**update_copilot_anomalies_devices_action**](docs/CopilotAnomaliesApi.md#update_copilot_anomalies_devices_action) | **PUT** /copilot/anomalies/update-device-action | [LRO] Update Anomalies and Devices
*CopilotConnectivityExperienceApi* | [**get_connectivity_details_by_client_type**](docs/CopilotConnectivityExperienceApi.md#get_connectivity_details_by_client_type) | **GET** /copilot/connectivity/client-type | 
*CopilotConnectivityExperienceApi* | [**get_connectivity_details_by_locations**](docs/CopilotConnectivityExperienceApi.md#get_connectivity_details_by_locations) | **GET** /copilot/connectivity/locations | 
*CopilotConnectivityExperienceApi* | [**get_wired_connectivity_experience**](docs/CopilotConnectivityExperienceApi.md#get_wired_connectivity_experience) | **GET** /copilot/connectivity/wired/experience | 
*CopilotConnectivityExperienceApi* | [**get_wired_events**](docs/CopilotConnectivityExperienceApi.md#get_wired_events) | **GET** /copilot/connectivity/wired/events | 
*CopilotConnectivityExperienceApi* | [**get_wired_hardware**](docs/CopilotConnectivityExperienceApi.md#get_wired_hardware) | **GET** /copilot/connectivity/wired/hardware | 
*CopilotConnectivityExperienceApi* | [**get_wired_hardware_by_location**](docs/CopilotConnectivityExperienceApi.md#get_wired_hardware_by_location) | **GET** /copilot/connectivity/wired/locations/hardware | 
*CopilotConnectivityExperienceApi* | [**get_wired_quality_index**](docs/CopilotConnectivityExperienceApi.md#get_wired_quality_index) | **GET** /copilot/connectivity/wired/quality-index | 
*CopilotConnectivityExperienceApi* | [**get_wireless_apps**](docs/CopilotConnectivityExperienceApi.md#get_wireless_apps) | **GET** /copilot/connectivity/wireless/apps | 
*CopilotConnectivityExperienceApi* | [**get_wireless_connectivity_experience**](docs/CopilotConnectivityExperienceApi.md#get_wireless_connectivity_experience) | **GET** /copilot/connectivity/wireless/experience | 
*CopilotConnectivityExperienceApi* | [**get_wireless_events**](docs/CopilotConnectivityExperienceApi.md#get_wireless_events) | **GET** /copilot/connectivity/wireless/events | 
*CopilotConnectivityExperienceApi* | [**get_wireless_events_by_location**](docs/CopilotConnectivityExperienceApi.md#get_wireless_events_by_location) | **GET** /copilot/connectivity/wireless/locations/events | 
*CopilotConnectivityExperienceApi* | [**get_wireless_performance**](docs/CopilotConnectivityExperienceApi.md#get_wireless_performance) | **GET** /copilot/connectivity/wireless/performance | 
*CopilotConnectivityExperienceApi* | [**get_wireless_performance_by_location**](docs/CopilotConnectivityExperienceApi.md#get_wireless_performance_by_location) | **GET** /copilot/connectivity/wireless/locations/performance | 
*CopilotConnectivityExperienceApi* | [**get_wireless_quality_index**](docs/CopilotConnectivityExperienceApi.md#get_wireless_quality_index) | **GET** /copilot/connectivity/wireless/quality-index | 
*CopilotConnectivityExperienceApi* | [**get_wireless_quality_index_by_location**](docs/CopilotConnectivityExperienceApi.md#get_wireless_quality_index_by_location) | **GET** /copilot/connectivity/wireless/locations/quality-index | 
*CopilotConnectivityExperienceApi* | [**get_wireless_time_to_connect**](docs/CopilotConnectivityExperienceApi.md#get_wireless_time_to_connect) | **GET** /copilot/connectivity/wireless/time-to-connect | 
*CopilotConnectivityExperienceApi* | [**get_wireless_time_to_connect_by_location**](docs/CopilotConnectivityExperienceApi.md#get_wireless_time_to_connect_by_location) | **GET** /copilot/connectivity/wireless/locations/time-to-connect | 
*CopilotConnectivityExperienceApi* | [**get_wireless_views**](docs/CopilotConnectivityExperienceApi.md#get_wireless_views) | **GET** /copilot/connectivity/wireless/views | 
*DeviceApi* | [**advanced_onboard_devices**](docs/DeviceApi.md#advanced_onboard_devices) | **POST** /devices/:advanced-onboard | [LRO] Advanced Onboard Devices
*DeviceApi* | [**assign_device_client_monitor**](docs/DeviceApi.md#assign_device_client_monitor) | **PUT** /devices/{id}/client-monitor | Assign client monitor setting to a device
*DeviceApi* | [**assign_device_location**](docs/DeviceApi.md#assign_device_location) | **PUT** /devices/{id}/location | Assign location to a device
*DeviceApi* | [**assign_device_network_policy**](docs/DeviceApi.md#assign_device_network_policy) | **PUT** /devices/{id}/network-policy | Assign network policy to a device
*DeviceApi* | [**assign_devices_client_monitor**](docs/DeviceApi.md#assign_devices_client_monitor) | **POST** /devices/client-monitor/:assign | Assign client monitor setting to multiple devices
*DeviceApi* | [**assign_devices_country_code**](docs/DeviceApi.md#assign_devices_country_code) | **POST** /devices/country-code/:assign | Assign a country code to devices
*DeviceApi* | [**assign_devices_location**](docs/DeviceApi.md#assign_devices_location) | **POST** /devices/location/:assign | Assign location to multiple devices
*DeviceApi* | [**assign_devices_network_policy**](docs/DeviceApi.md#assign_devices_network_policy) | **POST** /devices/network-policy/:assign | Assign network policy to multiple devices
*DeviceApi* | [**assign_devices_radius_proxy**](docs/DeviceApi.md#assign_devices_radius_proxy) | **PUT** /devices/radius-proxy/:assign | Assign RADIUS proxy to devices
*DeviceApi* | [**bounce_device_port**](docs/DeviceApi.md#bounce_device_port) | **POST** /devices/{id}/bounce-port | Bounce port of a device (EXOS, VOSS and SR Switches
*DeviceApi* | [**change_device_description**](docs/DeviceApi.md#change_device_description) | **PUT** /devices/{id}/description | Change description for a device
*DeviceApi* | [**change_device_level_ssid_status**](docs/DeviceApi.md#change_device_level_ssid_status) | **POST** /devices/{id}/ssid/status/:change | Enable or disable SSID for a device
*DeviceApi* | [**change_device_status_to_manage**](docs/DeviceApi.md#change_device_status_to_manage) | **POST** /devices/{id}/:manage | Change admin state to &#39;Managed&#39; for a device
*DeviceApi* | [**change_device_status_to_unmanage**](docs/DeviceApi.md#change_device_status_to_unmanage) | **POST** /devices/{id}/:unmanage | Change admin state to &#39;Unmanaged&#39; for a device
*DeviceApi* | [**change_devices_ibeacon**](docs/DeviceApi.md#change_devices_ibeacon) | **PUT** /devices/ibeacon | Change iBeacon settings for devices
*DeviceApi* | [**change_devices_os_mode**](docs/DeviceApi.md#change_devices_os_mode) | **POST** /devices/os/:change | Change device OS mode
*DeviceApi* | [**change_hostname**](docs/DeviceApi.md#change_hostname) | **PUT** /devices/{id}/hostname | Change hostname for a device
*DeviceApi* | [**change_status_to_manage**](docs/DeviceApi.md#change_status_to_manage) | **POST** /devices/:manage | Change status to Managed
*DeviceApi* | [**change_status_to_unmanage**](docs/DeviceApi.md#change_status_to_unmanage) | **POST** /devices/:unmanage | Change status to Unmanaged
*DeviceApi* | [**configure_device_radio_operating_mode**](docs/DeviceApi.md#configure_device_radio_operating_mode) | **PUT** /devices/{id}/radio-operating-mode | Configure radio operating mode of a device
*DeviceApi* | [**configure_ftm_settings**](docs/DeviceApi.md#configure_ftm_settings) | **PUT** /devices/{id}/ftm-settings | Configure (create / update) device FTM Settings
*DeviceApi* | [**create_device_ipv4_interface**](docs/DeviceApi.md#create_device_ipv4_interface) | **POST** /devices/{id}/config/vlan-ipv4-intf | Create an IPv4 Interface for a device
*DeviceApi* | [**create_device_ipv4_static_route**](docs/DeviceApi.md#create_device_ipv4_static_route) | **POST** /devices/{id}/config/vlan-ipv4-static | Create an IPv4 Static Route for a device
*DeviceApi* | [**create_device_vlan_attrs**](docs/DeviceApi.md#create_device_vlan_attrs) | **POST** /devices/{id}/config/vlan-attributes | Create a Vlan attribute
*DeviceApi* | [**delete_device**](docs/DeviceApi.md#delete_device) | **DELETE** /devices/{id} | Delete a device
*DeviceApi* | [**delete_device_ipv4_interfaces**](docs/DeviceApi.md#delete_device_ipv4_interfaces) | **DELETE** /devices/{id}/config/vlan-ipv4-intf | Delete one or more IPv4 Interfaces for a device
*DeviceApi* | [**delete_device_ipv4_static_routes**](docs/DeviceApi.md#delete_device_ipv4_static_routes) | **DELETE** /devices/{id}/config/vlan-ipv4-static | Delete one or more IPv4 Static Routes for a device
*DeviceApi* | [**delete_device_vlan_attributes**](docs/DeviceApi.md#delete_device_vlan_attributes) | **DELETE** /devices/{id}/config/vlan-attributes | Delete vlan attributes
*DeviceApi* | [**delete_devices**](docs/DeviceApi.md#delete_devices) | **POST** /devices/:delete | Delete devices
*DeviceApi* | [**delete_ftm_settings**](docs/DeviceApi.md#delete_ftm_settings) | **DELETE** /devices/{id}/ftm-settings | Delete FTM Settings by device ID
*DeviceApi* | [**disable_iot_on_device**](docs/DeviceApi.md#disable_iot_on_device) | **POST** /devices/{id}/iot/:disable | Disable IoT Wireless Interface settings on device
*DeviceApi* | [**download_device_gallery_image**](docs/DeviceApi.md#download_device_gallery_image) | **GET** /devices/{id}/gallery-image | Download device gallery image.
*DeviceApi* | [**enable_iot_on_device**](docs/DeviceApi.md#enable_iot_on_device) | **POST** /devices/{id}/iot/:enable | Enable IoT Wireless Interface settings on device
*DeviceApi* | [**get_device1**](docs/DeviceApi.md#get_device1) | **GET** /devices/{id} | Get device info for a specific device
*DeviceApi* | [**get_device_client_monitor**](docs/DeviceApi.md#get_device_client_monitor) | **GET** /devices/{id}/client-monitor | Get client monitor setting for a device
*DeviceApi* | [**get_device_cpu_memory_history**](docs/DeviceApi.md#get_device_cpu_memory_history) | **GET** /devices/{id}/history/cpu-mem | Get device CPU/memory usage history
*DeviceApi* | [**get_device_geolocation**](docs/DeviceApi.md#get_device_geolocation) | **GET** /devices/{id}/geolocation | Get Geolocation for a device
*DeviceApi* | [**get_device_ibeacon**](docs/DeviceApi.md#get_device_ibeacon) | **GET** /devices/{id}/ibeacon | Get the device iBeacon setting
*DeviceApi* | [**get_device_iot**](docs/DeviceApi.md#get_device_iot) | **GET** /devices/{id}/iot | Get the device IoT Wireless Interface settings
*DeviceApi* | [**get_device_ipv4_interfaces**](docs/DeviceApi.md#get_device_ipv4_interfaces) | **GET** /devices/{id}/config/vlan-ipv4-intf | Get IPv4 Interfaces for a device
*DeviceApi* | [**get_device_ipv4_static_routes**](docs/DeviceApi.md#get_device_ipv4_static_routes) | **GET** /devices/{id}/config/vlan-ipv4-static | Get IPv4 Static Route for a device
*DeviceApi* | [**get_device_level_ssid_status**](docs/DeviceApi.md#get_device_level_ssid_status) | **GET** /devices/{id}/ssid/status | Get SSID status for a device
*DeviceApi* | [**get_device_location**](docs/DeviceApi.md#get_device_location) | **GET** /devices/{id}/location | Get location for a device
*DeviceApi* | [**get_device_network_policy**](docs/DeviceApi.md#get_device_network_policy) | **GET** /devices/{id}/network-policy | Get network policy for a device
*DeviceApi* | [**get_device_radio_operating_mode**](docs/DeviceApi.md#get_device_radio_operating_mode) | **GET** /devices/{id}/radio-operating-mode | Get the device radio operating mode
*DeviceApi* | [**get_device_stats**](docs/DeviceApi.md#get_device_stats) | **GET** /devices/stats | Get device stats
*DeviceApi* | [**get_device_wifi_interface**](docs/DeviceApi.md#get_device_wifi_interface) | **GET** /devices/{id}/interfaces/wifi | Get the device WiFi interfaces stats
*DeviceApi* | [**get_ftm_settings**](docs/DeviceApi.md#get_ftm_settings) | **GET** /devices/{id}/ftm-settings | Get FTM Settings by device ID
*DeviceApi* | [**get_xiq_device_installation_report**](docs/DeviceApi.md#get_xiq_device_installation_report) | **GET** /devices/{id}/installation-report | Get device installation report
*DeviceApi* | [**list_device_alarm**](docs/DeviceApi.md#list_device_alarm) | **GET** /devices/{id}/alarms | List alarms for a device
*DeviceApi* | [**list_device_monitor_ipv4_routing**](docs/DeviceApi.md#list_device_monitor_ipv4_routing) | **GET** /devices/{id}/monitor/ipv4-routing | Get IPv4 Routing information for a device
*DeviceApi* | [**list_device_monitor_ipv4_routing_timeline**](docs/DeviceApi.md#list_device_monitor_ipv4_routing_timeline) | **GET** /devices/{id}/monitor/ipv4-routing-timeline | Get IPv4 Routing Timeline information per Routing Instance for a device
*DeviceApi* | [**list_device_monitor_vlan_attributes**](docs/DeviceApi.md#list_device_monitor_vlan_attributes) | **GET** /devices/{id}/monitor/vlan-attr | Get VLAN attributes per VLAN for a device
*DeviceApi* | [**list_device_monitor_vlan_ipv4_interfaces**](docs/DeviceApi.md#list_device_monitor_vlan_ipv4_interfaces) | **GET** /devices/{id}/monitor/vlan-ipv4-intf | Get VLAN IPv4 Interfaces per VLAN for a device
*DeviceApi* | [**list_device_vlan_attrs**](docs/DeviceApi.md#list_device_vlan_attrs) | **GET** /devices/{id}/config/vlan-attributes | List vlan attributes for a device
*DeviceApi* | [**list_devices**](docs/DeviceApi.md#list_devices) | **GET** /devices | [LRO] List devices
*DeviceApi* | [**list_devices_by_network_policy**](docs/DeviceApi.md#list_devices_by_network_policy) | **GET** /devices/network-policy/{policyId} | List assigned devices for network policy
*DeviceApi* | [**list_devices_radio_information**](docs/DeviceApi.md#list_devices_radio_information) | **GET** /devices/radio-information | Get Devices Radio Information
*DeviceApi* | [**list_digital_twin_products**](docs/DeviceApi.md#list_digital_twin_products) | **GET** /devices/digital-twin | List Digital Twin product information.
*DeviceApi* | [**monitor_refresh_device**](docs/DeviceApi.md#monitor_refresh_device) | **POST** /devices/{id}/monitor/:refresh | Monitor refresh a device
*DeviceApi* | [**monitor_refresh_device_status**](docs/DeviceApi.md#monitor_refresh_device_status) | **GET** /devices/{id}/monitor/refresh/status | Monitor refresh a device status 
*DeviceApi* | [**onboard_devices**](docs/DeviceApi.md#onboard_devices) | **POST** /devices/:onboard | Onboard Devices
*DeviceApi* | [**override_device_level_ssid**](docs/DeviceApi.md#override_device_level_ssid) | **POST** /devices/{id}/ssid/:override | Override SSID for a device
*DeviceApi* | [**query_devices_client_monitor**](docs/DeviceApi.md#query_devices_client_monitor) | **POST** /devices/client-monitor/:query | Query client monitor setting for multiple devices
*DeviceApi* | [**query_devices_location**](docs/DeviceApi.md#query_devices_location) | **POST** /devices/location/:query | Query location for multiple devices
*DeviceApi* | [**query_devices_network_policy**](docs/DeviceApi.md#query_devices_network_policy) | **POST** /devices/network-policy/:query | Query network policy for multiple devices
*DeviceApi* | [**reboot_device**](docs/DeviceApi.md#reboot_device) | **POST** /devices/{id}/:reboot | Reboot a device
*DeviceApi* | [**reboot_devices**](docs/DeviceApi.md#reboot_devices) | **POST** /devices/:reboot | Reboot devices
*DeviceApi* | [**reset_device**](docs/DeviceApi.md#reset_device) | **POST** /devices/{id}/:reset | [LRO] Reset a device to factory default
*DeviceApi* | [**revoke_device_client_monitor**](docs/DeviceApi.md#revoke_device_client_monitor) | **DELETE** /devices/{id}/client-monitor | Revoke client monitor setting for a device
*DeviceApi* | [**revoke_device_location**](docs/DeviceApi.md#revoke_device_location) | **DELETE** /devices/{id}/location | Revoke location for a device
*DeviceApi* | [**revoke_device_network_policy**](docs/DeviceApi.md#revoke_device_network_policy) | **DELETE** /devices/{id}/network-policy | Revoke network policy for a device
*DeviceApi* | [**revoke_devices_client_monitor**](docs/DeviceApi.md#revoke_devices_client_monitor) | **POST** /devices/client-monitor/:revoke | Revoke client monitor setting for multiple devices
*DeviceApi* | [**revoke_devices_location**](docs/DeviceApi.md#revoke_devices_location) | **POST** /devices/location/:revoke | Revoke location for multiple devices
*DeviceApi* | [**revoke_devices_network_policy**](docs/DeviceApi.md#revoke_devices_network_policy) | **POST** /devices/network-policy/:revoke | Revoke network policy for multiple devices
*DeviceApi* | [**revoke_devices_radius_proxy**](docs/DeviceApi.md#revoke_devices_radius_proxy) | **DELETE** /devices/radius-proxy/:revoke | Revoke RADIUS proxy from multiple devices
*DeviceApi* | [**send_cli_to_device**](docs/DeviceApi.md#send_cli_to_device) | **POST** /devices/{id}/:cli | Send CLI to a device
*DeviceApi* | [**send_cli_to_devices**](docs/DeviceApi.md#send_cli_to_devices) | **POST** /devices/:cli | [LRO] Send CLI to devices
*DeviceApi* | [**start_thread_commissioner**](docs/DeviceApi.md#start_thread_commissioner) | **POST** /devices/{id}/thread/commissioner/:start | Start Thread Commissioner
*DeviceApi* | [**stop_thread_commissioner**](docs/DeviceApi.md#stop_thread_commissioner) | **POST** /devices/{id}/thread/commissioner/:stop | Stop Thread Commissioner
*DeviceApi* | [**update_device_ipv4_interface**](docs/DeviceApi.md#update_device_ipv4_interface) | **PATCH** /devices/{id}/config/vlan-ipv4-intf/{ipv4InterfaceId} | Update an IPv4 Interface for a device
*DeviceApi* | [**update_device_ipv4_static_route**](docs/DeviceApi.md#update_device_ipv4_static_route) | **PATCH** /devices/{id}/config/vlan-ipv4-static/{ipv4StaticRouteId} | Update an IPv4 Static Route for a device
*DeviceApi* | [**update_device_vlan_attributes**](docs/DeviceApi.md#update_device_vlan_attributes) | **PATCH** /devices/{id}/config/vlan-attributes/{vlanId} | Change vlan attributes
*EssentialsExtremeLocationApi* | [**get_client_last_location**](docs/EssentialsExtremeLocationApi.md#get_client_last_location) | **GET** /essentials/eloc/clients/{clientMac}/last-known-location | Get the last known location of the client
*HIQApi* | [**create_organization**](docs/HIQApi.md#create_organization) | **POST** /hiq/organizations | Create a new organization
*HIQApi* | [**delete_organization**](docs/HIQApi.md#delete_organization) | **DELETE** /hiq/organizations/{id} | Delete an existing organization
*HIQApi* | [**get_creating_org_id**](docs/HIQApi.md#get_creating_org_id) | **GET** /hiq/context/creating | Get organization for creating new data
*HIQApi* | [**get_hiq_context**](docs/HIQApi.md#get_hiq_context) | **GET** /hiq/context | Get HIQ context
*HIQApi* | [**get_hiq_status**](docs/HIQApi.md#get_hiq_status) | **GET** /hiq/status | Get HIQ status
*HIQApi* | [**get_reading_org_ids**](docs/HIQApi.md#get_reading_org_ids) | **GET** /hiq/context/reading | Get organizations for reading data
*HIQApi* | [**list_organizations**](docs/HIQApi.md#list_organizations) | **GET** /hiq/organizations | List all organizations
*HIQApi* | [**rename_organization**](docs/HIQApi.md#rename_organization) | **POST** /hiq/organizations/{id}/:rename | Rename an existing organization
*HIQApi* | [**set_creating_org_id**](docs/HIQApi.md#set_creating_org_id) | **PUT** /hiq/context/creating | Set organization for creating new data
*HIQApi* | [**set_hiq_context**](docs/HIQApi.md#set_hiq_context) | **PUT** /hiq/context | Set HIQ context
*HIQApi* | [**set_reading_org_ids**](docs/HIQApi.md#set_reading_org_ids) | **PUT** /hiq/context/reading | Set organizations for reading data
*LocationApi* | [**create_building**](docs/LocationApi.md#create_building) | **POST** /locations/building | Create a building
*LocationApi* | [**create_floor**](docs/LocationApi.md#create_floor) | **POST** /locations/floor | Create a floor
*LocationApi* | [**create_location**](docs/LocationApi.md#create_location) | **POST** /locations | Create a location
*LocationApi* | [**create_site**](docs/LocationApi.md#create_site) | **POST** /locations/site | Create a site
*LocationApi* | [**delete_building**](docs/LocationApi.md#delete_building) | **DELETE** /locations/building/{id} | Delete a building by ID
*LocationApi* | [**delete_floor**](docs/LocationApi.md#delete_floor) | **DELETE** /locations/floor/{id} | Delete a floor by ID
*LocationApi* | [**delete_location**](docs/LocationApi.md#delete_location) | **DELETE** /locations/{id} | Delete a location by ID
*LocationApi* | [**delete_site**](docs/LocationApi.md#delete_site) | **DELETE** /locations/site/{id} | Delete a site by ID
*LocationApi* | [**get_building**](docs/LocationApi.md#get_building) | **GET** /locations/building/{id} | Get a building by ID
*LocationApi* | [**get_floor**](docs/LocationApi.md#get_floor) | **GET** /locations/floor/{id} | Get a floor by ID
*LocationApi* | [**get_location_devices_list**](docs/LocationApi.md#get_location_devices_list) | **GET** /locations/tree/devices | Get devices on the location hierarchy.
*LocationApi* | [**get_location_maps_list**](docs/LocationApi.md#get_location_maps_list) | **GET** /locations/tree/maps | Get maps on the location hierarchy.
*LocationApi* | [**get_location_tree**](docs/LocationApi.md#get_location_tree) | **GET** /locations/tree | Get location tree
*LocationApi* | [**get_site**](docs/LocationApi.md#get_site) | **GET** /locations/site/{id} | Get a site by ID
*LocationApi* | [**initialize_location**](docs/LocationApi.md#initialize_location) | **POST** /locations/:init | Initialize organization location
*LocationApi* | [**list_buildings**](docs/LocationApi.md#list_buildings) | **GET** /locations/building | List buildings
*LocationApi* | [**list_floors**](docs/LocationApi.md#list_floors) | **GET** /locations/floor | List floors
*LocationApi* | [**list_sites**](docs/LocationApi.md#list_sites) | **GET** /locations/site | List sites
*LocationApi* | [**start_ekahau_import**](docs/LocationApi.md#start_ekahau_import) | **POST** /locations/import/ekahau | [LRO] Import one or more floors from an Ekahau archive
*LocationApi* | [**update_building**](docs/LocationApi.md#update_building) | **PUT** /locations/building/{id} | Update a building
*LocationApi* | [**update_floor**](docs/LocationApi.md#update_floor) | **PUT** /locations/floor/{id} | Update a floor
*LocationApi* | [**update_location**](docs/LocationApi.md#update_location) | **PUT** /locations/{id} | Update a location
*LocationApi* | [**update_site**](docs/LocationApi.md#update_site) | **PUT** /locations/site/{id} | Update a site by ID
*LocationApi* | [**upload_floorplan**](docs/LocationApi.md#upload_floorplan) | **POST** /locations/floorplan | Upload floorplan
*LogApi* | [**audit_logs_report**](docs/LogApi.md#audit_logs_report) | **POST** /logs/audit/reports | [LRO] Create audit logs report
*LogApi* | [**download_audit_logs_report**](docs/LogApi.md#download_audit_logs_report) | **GET** /logs/audit/reports/{id} | Download audit logs
*LogApi* | [**get_audit_log_full_descriptions**](docs/LogApi.md#get_audit_log_full_descriptions) | **GET** /logs/audit/full-descriptions/{id} | Get audit log full descriptions
*LogApi* | [**list_accounting_logs**](docs/LogApi.md#list_accounting_logs) | **GET** /logs/accounting | List accounting logs
*LogApi* | [**list_audit_logs**](docs/LogApi.md#list_audit_logs) | **GET** /logs/audit | List audit logs
*LogApi* | [**list_auth_logs**](docs/LogApi.md#list_auth_logs) | **GET** /logs/auth | List auth logs
*LogApi* | [**list_credential_logs**](docs/LogApi.md#list_credential_logs) | **GET** /logs/credential | List credential logs
*LogApi* | [**list_email_logs**](docs/LogApi.md#list_email_logs) | **GET** /logs/email | List Email logs
*LogApi* | [**list_sms_logs**](docs/LogApi.md#list_sms_logs) | **GET** /logs/sms | List SMS logs
*MiscApi* | [**get_country_list**](docs/MiscApi.md#get_country_list) | **GET** /countries | Get country list
*MiscApi* | [**get_state_list_by_country_code**](docs/MiscApi.md#get_state_list_by_country_code) | **GET** /countries/{countryAlpha2Code}/states | Get state list by country code
*MiscApi* | [**validate_country_code**](docs/MiscApi.md#validate_country_code) | **GET** /countries/{countryCode}/:validate | Validate country code
*NOSApi* | [**get_device**](docs/NOSApi.md#get_device) | **POST** /nos/device/{deviceId}/nos-api | Get device info for a specific device
*NetworkPolicyApi* | [**add_ssids_to_network_policy**](docs/NetworkPolicyApi.md#add_ssids_to_network_policy) | **POST** /network-policies/{id}/ssids/:add | Add SSIDs to a network policy
*NetworkPolicyApi* | [**create_network_policy**](docs/NetworkPolicyApi.md#create_network_policy) | **POST** /network-policies | Create network policy
*NetworkPolicyApi* | [**delete_network_policy**](docs/NetworkPolicyApi.md#delete_network_policy) | **DELETE** /network-policies/{id} | Delete the network policy
*NetworkPolicyApi* | [**delete_ssids_from_network_policy**](docs/NetworkPolicyApi.md#delete_ssids_from_network_policy) | **POST** /network-policies/{id}/ssids/:remove | Removes SSIDs from the network policy
*NetworkPolicyApi* | [**get_network_policy**](docs/NetworkPolicyApi.md#get_network_policy) | **GET** /network-policies/{id} | Get the network policy
*NetworkPolicyApi* | [**list_network_polices**](docs/NetworkPolicyApi.md#list_network_polices) | **GET** /network-policies | List network policies
*NetworkPolicyApi* | [**list_ssids_by_network_policy**](docs/NetworkPolicyApi.md#list_ssids_by_network_policy) | **GET** /network-policies/{id}/ssids | List SSIDs for a network policy
*NetworkPolicyApi* | [**update_network_policy**](docs/NetworkPolicyApi.md#update_network_policy) | **PUT** /network-policies/{id} | Update the network policy
*NetworkScorecardApi* | [**get_client_health**](docs/NetworkScorecardApi.md#get_client_health) | **GET** /network-scorecard/clientHealth/{locationId} | Get the overall client health score
*NetworkScorecardApi* | [**get_device_health**](docs/NetworkScorecardApi.md#get_device_health) | **GET** /network-scorecard/deviceHealth/{locationId} | Get the overall device health score
*NetworkScorecardApi* | [**get_network_health**](docs/NetworkScorecardApi.md#get_network_health) | **GET** /network-scorecard/networkHealth/{locationId} | Get the overall network health score
*NetworkScorecardApi* | [**get_services_health**](docs/NetworkScorecardApi.md#get_services_health) | **GET** /network-scorecard/servicesHealth/{locationId} | Get the overall services health score
*NetworkScorecardApi* | [**get_wifi_health**](docs/NetworkScorecardApi.md#get_wifi_health) | **GET** /network-scorecard/wifiHealth/{locationId} | Get the overall wifi health score
*NotificationApi* | [**create_subscriptions**](docs/NotificationApi.md#create_subscriptions) | **POST** /subscriptions/webhook | Create webhook subscriptions
*NotificationApi* | [**delete_subscription**](docs/NotificationApi.md#delete_subscription) | **DELETE** /subscriptions/webhook/{id} | Delete webhook subscription
*NotificationApi* | [**list**](docs/NotificationApi.md#list) | **GET** /subscriptions/webhook | List webhook subscriptions
*OperationApi* | [**cancel_operation**](docs/OperationApi.md#cancel_operation) | **POST** /operations/{operationId}/:cancel | Cancel Long-Running Operation (LRO)
*OperationApi* | [**delete_operation**](docs/OperationApi.md#delete_operation) | **DELETE** /operations/{operationId} | Delete Long-Running Operation (LRO)
*OperationApi* | [**get_operation**](docs/OperationApi.md#get_operation) | **GET** /operations/{operationId} | Get Long-Running Operation (LRO) status and result
*PacketCaptureApi* | [**create_packet_capture**](docs/PacketCaptureApi.md#create_packet_capture) | **POST** /packetcaptures | Create a new packet capture session
*PacketCaptureApi* | [**delete_packet_capture**](docs/PacketCaptureApi.md#delete_packet_capture) | **DELETE** /packetcaptures/{id} | Delete a packet capture session
*PacketCaptureApi* | [**get_packet_capture**](docs/PacketCaptureApi.md#get_packet_capture) | **GET** /packetcaptures/{id} | Get a packet capture session
*PacketCaptureApi* | [**get_packet_capture_file**](docs/PacketCaptureApi.md#get_packet_capture_file) | **GET** /packetcaptures/files | Get an AP packet capture file
*PacketCaptureApi* | [**list_packet_captures**](docs/PacketCaptureApi.md#list_packet_captures) | **GET** /packetcaptures | List packet capture sessions
*PacketCaptureApi* | [**stop_packet_capture**](docs/PacketCaptureApi.md#stop_packet_capture) | **POST** /packetcaptures/{id}/:stop | Stop a packet capture session
*PacketCaptureApi* | [**upload_packet_capture_files**](docs/PacketCaptureApi.md#upload_packet_capture_files) | **POST** /packetcaptures/{id}/:upload | Upload a packet capture session&#39;s capture files
*ThreadApi* | [**get_thread_network_topology**](docs/ThreadApi.md#get_thread_network_topology) | **GET** /thread/topology | Get thread network topology
*ThreadApi* | [**get_thread_networks**](docs/ThreadApi.md#get_thread_networks) | **GET** /thread/networks | Get active thread networks
*ThreadApi* | [**get_thread_routers**](docs/ThreadApi.md#get_thread_routers) | **GET** /thread/routers | List thread routers
*UserApi* | [**create_user**](docs/UserApi.md#create_user) | **POST** /users | Create new user
*UserApi* | [**delete_user**](docs/UserApi.md#delete_user) | **DELETE** /users/{id} | Delete user by ID
*UserApi* | [**get_current_user**](docs/UserApi.md#get_current_user) | **GET** /users/me | Get current user info
*UserApi* | [**get_external_user**](docs/UserApi.md#get_external_user) | **GET** /users/external/{id} | Get external access info
*UserApi* | [**get_user**](docs/UserApi.md#get_user) | **GET** /users/{id} | Get user info by ID
*UserApi* | [**grant_external_user**](docs/UserApi.md#grant_external_user) | **POST** /users/external | Grant external access
*UserApi* | [**list_external_users**](docs/UserApi.md#list_external_users) | **GET** /users/external | List external access users
*UserApi* | [**list_users**](docs/UserApi.md#list_users) | **GET** /users | List all users
*UserApi* | [**revoke_external_user**](docs/UserApi.md#revoke_external_user) | **DELETE** /users/external/{id} | Revoke external access
*UserApi* | [**update_external_user**](docs/UserApi.md#update_external_user) | **PATCH** /users/external/{id} | Update external access info
*UserApi* | [**update_user**](docs/UserApi.md#update_user) | **PATCH** /users/{id} | Update user info
*AfcEndpointApi* | [**create_site_afc_schedule**](docs/AfcEndpointApi.md#create_site_afc_schedule) | **POST** /site/afc/schedule | 
*AfcEndpointApi* | [**get_afc_geolocation_summary**](docs/AfcEndpointApi.md#get_afc_geolocation_summary) | **GET** /aps/geolocation/summary | 
*AfcEndpointApi* | [**get_afc_server**](docs/AfcEndpointApi.md#get_afc_server) | **GET** /afcserver/{server_id} | Get Afc Server data
*AfcEndpointApi* | [**get_afc_spectrum_per_ap**](docs/AfcEndpointApi.md#get_afc_spectrum_per_ap) | **POST** /ap/spectrum/ | 
*AfcEndpointApi* | [**get_afc_spectrum_per_site**](docs/AfcEndpointApi.md#get_afc_spectrum_per_site) | **POST** /site/spectrum/ | 
*AfcEndpointApi* | [**get_afc_status_summary**](docs/AfcEndpointApi.md#get_afc_status_summary) | **GET** /aps/status/summary | 
*AfcEndpointApi* | [**get_aps_afc_info**](docs/AfcEndpointApi.md#get_aps_afc_info) | **GET** /ap/afc/interface/details/{sn} | Get Afc Summary Data
*AfcEndpointApi* | [**get_aps_afc_summary_info**](docs/AfcEndpointApi.md#get_aps_afc_summary_info) | **GET** /aps/afc/query/ | 
*AfcEndpointApi* | [**get_site_afc_schedule**](docs/AfcEndpointApi.md#get_site_afc_schedule) | **GET** /site/afc/schedule | 
*AfcEndpointApi* | [**list_afc_servers**](docs/AfcEndpointApi.md#list_afc_servers) | **GET** /afcserver | Get Afc Server list and their status
*AfcEndpointApi* | [**update_site_afc_schedule**](docs/AfcEndpointApi.md#update_site_afc_schedule) | **PUT** /site/afc/schedule | 


## Documentation For Models

 - [ClientHealth](docs/ClientHealth.md)
 - [DeviceHealth](docs/DeviceHealth.md)
 - [EssentialsElocLastKnownLocation](docs/EssentialsElocLastKnownLocation.md)
 - [InlineObject](docs/InlineObject.md)
 - [InlineObject1](docs/InlineObject1.md)
 - [InlineObject2](docs/InlineObject2.md)
 - [NetworkHealth](docs/NetworkHealth.md)
 - [PagedXiqAccountingLog](docs/PagedXiqAccountingLog.md)
 - [PagedXiqActiveDirectoryServer](docs/PagedXiqActiveDirectoryServer.md)
 - [PagedXiqAlert](docs/PagedXiqAlert.md)
 - [PagedXiqApplication](docs/PagedXiqApplication.md)
 - [PagedXiqAuditLog](docs/PagedXiqAuditLog.md)
 - [PagedXiqAuthLog](docs/PagedXiqAuthLog.md)
 - [PagedXiqBuilding](docs/PagedXiqBuilding.md)
 - [PagedXiqCertificate](docs/PagedXiqCertificate.md)
 - [PagedXiqClassificationRule](docs/PagedXiqClassificationRule.md)
 - [PagedXiqClient](docs/PagedXiqClient.md)
 - [PagedXiqClientMonitorProfile](docs/PagedXiqClientMonitorProfile.md)
 - [PagedXiqCloudConfigGroup](docs/PagedXiqCloudConfigGroup.md)
 - [PagedXiqConnectivityExperienceData](docs/PagedXiqConnectivityExperienceData.md)
 - [PagedXiqCopilotWirelessEvent](docs/PagedXiqCopilotWirelessEvent.md)
 - [PagedXiqCredentialLog](docs/PagedXiqCredentialLog.md)
 - [PagedXiqCwp](docs/PagedXiqCwp.md)
 - [PagedXiqDevice](docs/PagedXiqDevice.md)
 - [PagedXiqDeviceAlarm](docs/PagedXiqDeviceAlarm.md)
 - [PagedXiqDeviceConfigureIpv4Interface](docs/PagedXiqDeviceConfigureIpv4Interface.md)
 - [PagedXiqDeviceConfigureIpv4StaticRoute](docs/PagedXiqDeviceConfigureIpv4StaticRoute.md)
 - [PagedXiqDeviceMonitorIpv4Routing](docs/PagedXiqDeviceMonitorIpv4Routing.md)
 - [PagedXiqDeviceMonitorVlanAttributes](docs/PagedXiqDeviceMonitorVlanAttributes.md)
 - [PagedXiqDeviceMonitorVlanIpv4Interfaces](docs/PagedXiqDeviceMonitorVlanIpv4Interfaces.md)
 - [PagedXiqDeviceVlanAttributes](docs/PagedXiqDeviceVlanAttributes.md)
 - [PagedXiqDigitalTwinProducts](docs/PagedXiqDigitalTwinProducts.md)
 - [PagedXiqEmailLog](docs/PagedXiqEmailLog.md)
 - [PagedXiqEndUser](docs/PagedXiqEndUser.md)
 - [PagedXiqExternalRadiusServer](docs/PagedXiqExternalRadiusServer.md)
 - [PagedXiqExternalUser](docs/PagedXiqExternalUser.md)
 - [PagedXiqFloor](docs/PagedXiqFloor.md)
 - [PagedXiqInternalRadiusDevice](docs/PagedXiqInternalRadiusDevice.md)
 - [PagedXiqInternalRadiusServer](docs/PagedXiqInternalRadiusServer.md)
 - [PagedXiqIotProfile](docs/PagedXiqIotProfile.md)
 - [PagedXiqIpFirewall](docs/PagedXiqIpFirewall.md)
 - [PagedXiqLdapServer](docs/PagedXiqLdapServer.md)
 - [PagedXiqLocationTreeDevice](docs/PagedXiqLocationTreeDevice.md)
 - [PagedXiqLocationTreeMap](docs/PagedXiqLocationTreeMap.md)
 - [PagedXiqMacFirewall](docs/PagedXiqMacFirewall.md)
 - [PagedXiqMacObject](docs/PagedXiqMacObject.md)
 - [PagedXiqNetworkPolicy](docs/PagedXiqNetworkPolicy.md)
 - [PagedXiqNetworkService](docs/PagedXiqNetworkService.md)
 - [PagedXiqPacketCapture](docs/PagedXiqPacketCapture.md)
 - [PagedXiqRadioEntity](docs/PagedXiqRadioEntity.md)
 - [PagedXiqRadioProfile](docs/PagedXiqRadioProfile.md)
 - [PagedXiqRadiusClientObject](docs/PagedXiqRadiusClientObject.md)
 - [PagedXiqRadiusProxy](docs/PagedXiqRadiusProxy.md)
 - [PagedXiqRpMacOuiProfile](docs/PagedXiqRpMacOuiProfile.md)
 - [PagedXiqSite](docs/PagedXiqSite.md)
 - [PagedXiqSmsLog](docs/PagedXiqSmsLog.md)
 - [PagedXiqSsid](docs/PagedXiqSsid.md)
 - [PagedXiqThreadRouter](docs/PagedXiqThreadRouter.md)
 - [PagedXiqTunnelConcentrator](docs/PagedXiqTunnelConcentrator.md)
 - [PagedXiqUser](docs/PagedXiqUser.md)
 - [PagedXiqUserGroup](docs/PagedXiqUserGroup.md)
 - [PagedXiqUserProfile](docs/PagedXiqUserProfile.md)
 - [PagedXiqUserProfileAssignment](docs/PagedXiqUserProfileAssignment.md)
 - [PagedXiqVlanProfile](docs/PagedXiqVlanProfile.md)
 - [PagedXiqWiredEventEntity](docs/PagedXiqWiredEventEntity.md)
 - [ServicesHealth](docs/ServicesHealth.md)
 - [WifiHealth](docs/WifiHealth.md)
 - [XiqAccount](docs/XiqAccount.md)
 - [XiqAccountMode](docs/XiqAccountMode.md)
 - [XiqAccountType](docs/XiqAccountType.md)
 - [XiqAccountingLog](docs/XiqAccountingLog.md)
 - [XiqAcknowledgeAlertsRequest](docs/XiqAcknowledgeAlertsRequest.md)
 - [XiqActionType](docs/XiqActionType.md)
 - [XiqActiveDirectoryServer](docs/XiqActiveDirectoryServer.md)
 - [XiqActiveDirectoryServerBaseDnFetchMode](docs/XiqActiveDirectoryServerBaseDnFetchMode.md)
 - [XiqAddress](docs/XiqAddress.md)
 - [XiqAddressProfileClassifiedEntry](docs/XiqAddressProfileClassifiedEntry.md)
 - [XiqAdvancedOnboardDeviceRequest](docs/XiqAdvancedOnboardDeviceRequest.md)
 - [XiqAdvancedOnboardDeviceResponse](docs/XiqAdvancedOnboardDeviceResponse.md)
 - [XiqAfcApDetail](docs/XiqAfcApDetail.md)
 - [XiqAfcApsInfoElement](docs/XiqAfcApsInfoElement.md)
 - [XiqAfcAvailableSpectrum](docs/XiqAfcAvailableSpectrum.md)
 - [XiqAfcGeolocationSummary](docs/XiqAfcGeolocationSummary.md)
 - [XiqAfcInputInfo](docs/XiqAfcInputInfo.md)
 - [XiqAfcServer](docs/XiqAfcServer.md)
 - [XiqAfcServerState](docs/XiqAfcServerState.md)
 - [XiqAfcStatusSummary](docs/XiqAfcStatusSummary.md)
 - [XiqAffectedDownlinkDevice](docs/XiqAffectedDownlinkDevice.md)
 - [XiqAlert](docs/XiqAlert.md)
 - [XiqAlertEmailSubscription](docs/XiqAlertEmailSubscription.md)
 - [XiqAlertEventRulesByCategory](docs/XiqAlertEventRulesByCategory.md)
 - [XiqAlertGroupCount](docs/XiqAlertGroupCount.md)
 - [XiqAlertGroupQuery](docs/XiqAlertGroupQuery.md)
 - [XiqAlertMetricRulesByMetricset](docs/XiqAlertMetricRulesByMetricset.md)
 - [XiqAlertPolicy](docs/XiqAlertPolicy.md)
 - [XiqAlertPolicyFilter](docs/XiqAlertPolicyFilter.md)
 - [XiqAlertPolicyType](docs/XiqAlertPolicyType.md)
 - [XiqAlertReport](docs/XiqAlertReport.md)
 - [XiqAlertRule](docs/XiqAlertRule.md)
 - [XiqAlertRuleOverview](docs/XiqAlertRuleOverview.md)
 - [XiqAlertSite](docs/XiqAlertSite.md)
 - [XiqAlertSortField](docs/XiqAlertSortField.md)
 - [XiqAlertSource](docs/XiqAlertSource.md)
 - [XiqAlertTag](docs/XiqAlertTag.md)
 - [XiqAlertWebhookSubscription](docs/XiqAlertWebhookSubscription.md)
 - [XiqAnomaliesCountVoEntity](docs/XiqAnomaliesCountVoEntity.md)
 - [XiqAnomaliesDeviceUpdateActionRequest](docs/XiqAnomaliesDeviceUpdateActionRequest.md)
 - [XiqAnomaliesFeedbackRequest](docs/XiqAnomaliesFeedbackRequest.md)
 - [XiqAnomaliesNotificationsResponse](docs/XiqAnomaliesNotificationsResponse.md)
 - [XiqAnomaliesSeverityEntity](docs/XiqAnomaliesSeverityEntity.md)
 - [XiqAnomaliesSiteEntity](docs/XiqAnomaliesSiteEntity.md)
 - [XiqAnomaliesTypeEntity](docs/XiqAnomaliesTypeEntity.md)
 - [XiqAnomaliesUpdateActionRequest](docs/XiqAnomaliesUpdateActionRequest.md)
 - [XiqAnomalyAffectedCount](docs/XiqAnomalyAffectedCount.md)
 - [XiqAnomalyDeviceEntity](docs/XiqAnomalyDeviceEntity.md)
 - [XiqAnomalyDeviceWithLocation](docs/XiqAnomalyDeviceWithLocation.md)
 - [XiqAnomalyDevicesByLocationResponse](docs/XiqAnomalyDevicesByLocationResponse.md)
 - [XiqAnomalyHealthType](docs/XiqAnomalyHealthType.md)
 - [XiqAnomalyLocationEntity](docs/XiqAnomalyLocationEntity.md)
 - [XiqAnomalySeverity](docs/XiqAnomalySeverity.md)
 - [XiqAnomalySortField](docs/XiqAnomalySortField.md)
 - [XiqAnomalyType](docs/XiqAnomalyType.md)
 - [XiqApCoordinates](docs/XiqApCoordinates.md)
 - [XiqApiTokenInfo](docs/XiqApiTokenInfo.md)
 - [XiqApplication](docs/XiqApplication.md)
 - [XiqApplicationDetectionProtocol](docs/XiqApplicationDetectionProtocol.md)
 - [XiqApplicationDetectionRule](docs/XiqApplicationDetectionRule.md)
 - [XiqApplicationDetectionType](docs/XiqApplicationDetectionType.md)
 - [XiqApplicationService](docs/XiqApplicationService.md)
 - [XiqApplicationSortField](docs/XiqApplicationSortField.md)
 - [XiqApplicationTopClientsUsage](docs/XiqApplicationTopClientsUsage.md)
 - [XiqAssignDevicesClientMonitorRequest](docs/XiqAssignDevicesClientMonitorRequest.md)
 - [XiqAssignDevicesCountryCodeRequest](docs/XiqAssignDevicesCountryCodeRequest.md)
 - [XiqAssignDevicesLocationRequest](docs/XiqAssignDevicesLocationRequest.md)
 - [XiqAssignDevicesNetworkPolicyRequest](docs/XiqAssignDevicesNetworkPolicyRequest.md)
 - [XiqAssuranceScansOverviewResponse](docs/XiqAssuranceScansOverviewResponse.md)
 - [XiqAtpDeviceStatsEntity](docs/XiqAtpDeviceStatsEntity.md)
 - [XiqAtpDeviceStatsResponse](docs/XiqAtpDeviceStatsResponse.md)
 - [XiqAtpPacketCountsEntity](docs/XiqAtpPacketCountsEntity.md)
 - [XiqAtpPacketCountsResponse](docs/XiqAtpPacketCountsResponse.md)
 - [XiqAttachClientMonitorProfileRequest](docs/XiqAttachClientMonitorProfileRequest.md)
 - [XiqAttachIpFirewallPolicyToUserProfileRequest](docs/XiqAttachIpFirewallPolicyToUserProfileRequest.md)
 - [XiqAttachMacFirewallPolicyToUserProfileRequest](docs/XiqAttachMacFirewallPolicyToUserProfileRequest.md)
 - [XiqAttachUPAssignmentEntry](docs/XiqAttachUPAssignmentEntry.md)
 - [XiqAttachUPAssignmentRequest](docs/XiqAttachUPAssignmentRequest.md)
 - [XiqAttributeType](docs/XiqAttributeType.md)
 - [XiqAuditLog](docs/XiqAuditLog.md)
 - [XiqAuditLogCategory](docs/XiqAuditLogCategory.md)
 - [XiqAuditLogFullDescriptions](docs/XiqAuditLogFullDescriptions.md)
 - [XiqAuditLogReport](docs/XiqAuditLogReport.md)
 - [XiqAuditLogSortField](docs/XiqAuditLogSortField.md)
 - [XiqAuthLog](docs/XiqAuthLog.md)
 - [XiqAvailableChannelInfo](docs/XiqAvailableChannelInfo.md)
 - [XiqBounceDevicePortData](docs/XiqBounceDevicePortData.md)
 - [XiqBounceDevicePortOperationResult](docs/XiqBounceDevicePortOperationResult.md)
 - [XiqBounceDevicePortRequest](docs/XiqBounceDevicePortRequest.md)
 - [XiqBounceDevicePortResponse](docs/XiqBounceDevicePortResponse.md)
 - [XiqBuilding](docs/XiqBuilding.md)
 - [XiqBulkDeleteEmailSubscriptionResult](docs/XiqBulkDeleteEmailSubscriptionResult.md)
 - [XiqBulkDeleteWebhookSubscriptionResult](docs/XiqBulkDeleteWebhookSubscriptionResult.md)
 - [XiqBulkOperationResult](docs/XiqBulkOperationResult.md)
 - [XiqCaptureBandSelection](docs/XiqCaptureBandSelection.md)
 - [XiqCaptureDirectionSelection](docs/XiqCaptureDirectionSelection.md)
 - [XiqCaptureFilter](docs/XiqCaptureFilter.md)
 - [XiqCaptureIdentifierType](docs/XiqCaptureIdentifierType.md)
 - [XiqCaptureLocation](docs/XiqCaptureLocation.md)
 - [XiqCaptureRadioSelection](docs/XiqCaptureRadioSelection.md)
 - [XiqCaptureResult](docs/XiqCaptureResult.md)
 - [XiqCaptureStopRequest](docs/XiqCaptureStopRequest.md)
 - [XiqCaptureWiredSelection](docs/XiqCaptureWiredSelection.md)
 - [XiqCertificate](docs/XiqCertificate.md)
 - [XiqCertificateType](docs/XiqCertificateType.md)
 - [XiqChangeDevicesIbeaconRequest](docs/XiqChangeDevicesIbeaconRequest.md)
 - [XiqChangeDevicesOsModeRequest](docs/XiqChangeDevicesOsModeRequest.md)
 - [XiqCheckPermissionRequest](docs/XiqCheckPermissionRequest.md)
 - [XiqCheckPermissionResponse](docs/XiqCheckPermissionResponse.md)
 - [XiqClassification](docs/XiqClassification.md)
 - [XiqClassificationRule](docs/XiqClassificationRule.md)
 - [XiqClassificationType](docs/XiqClassificationType.md)
 - [XiqCliOutput](docs/XiqCliOutput.md)
 - [XiqCliResponseCode](docs/XiqCliResponseCode.md)
 - [XiqClient](docs/XiqClient.md)
 - [XiqClientField](docs/XiqClientField.md)
 - [XiqClientMacAddressAlias](docs/XiqClientMacAddressAlias.md)
 - [XiqClientMonitorParameters](docs/XiqClientMonitorParameters.md)
 - [XiqClientMonitorProfile](docs/XiqClientMonitorProfile.md)
 - [XiqClientMonitorProfileRequest](docs/XiqClientMonitorProfileRequest.md)
 - [XiqClientSortField](docs/XiqClientSortField.md)
 - [XiqClientStatsEntity](docs/XiqClientStatsEntity.md)
 - [XiqClientSummary](docs/XiqClientSummary.md)
 - [XiqClientType](docs/XiqClientType.md)
 - [XiqClientUsage](docs/XiqClientUsage.md)
 - [XiqClientView](docs/XiqClientView.md)
 - [XiqCloudConfigGroup](docs/XiqCloudConfigGroup.md)
 - [XiqCloudSharkStorage](docs/XiqCloudSharkStorage.md)
 - [XiqConnectivityDetailsByClientTypeResponse](docs/XiqConnectivityDetailsByClientTypeResponse.md)
 - [XiqConnectivityExperienceData](docs/XiqConnectivityExperienceData.md)
 - [XiqConnectivityExperienceViewType](docs/XiqConnectivityExperienceViewType.md)
 - [XiqCopilotAnomaliesActionResponse](docs/XiqCopilotAnomaliesActionResponse.md)
 - [XiqCopilotAnomaliesByCategory](docs/XiqCopilotAnomaliesByCategory.md)
 - [XiqCopilotEventsWiredSortField](docs/XiqCopilotEventsWiredSortField.md)
 - [XiqCopilotEventsWirelessSortField](docs/XiqCopilotEventsWirelessSortField.md)
 - [XiqCopilotLldpCdpInfo](docs/XiqCopilotLldpCdpInfo.md)
 - [XiqCopilotPagedXiqAnomalyDeviceWithLocation](docs/XiqCopilotPagedXiqAnomalyDeviceWithLocation.md)
 - [XiqCopilotPagedXiqAnomalyLocationEntity](docs/XiqCopilotPagedXiqAnomalyLocationEntity.md)
 - [XiqCopilotWiredEventsScoreType](docs/XiqCopilotWiredEventsScoreType.md)
 - [XiqCopilotWirelessEvent](docs/XiqCopilotWirelessEvent.md)
 - [XiqCopilotWirelessEventsScoreType](docs/XiqCopilotWirelessEventsScoreType.md)
 - [XiqCountry](docs/XiqCountry.md)
 - [XiqCountryCode](docs/XiqCountryCode.md)
 - [XiqCountryState](docs/XiqCountryState.md)
 - [XiqCreateAlertEmailSubscriptionRequest](docs/XiqCreateAlertEmailSubscriptionRequest.md)
 - [XiqCreateAlertWebhookSubscriptionRequest](docs/XiqCreateAlertWebhookSubscriptionRequest.md)
 - [XiqCreateBuildingRequest](docs/XiqCreateBuildingRequest.md)
 - [XiqCreateClassificationRequest](docs/XiqCreateClassificationRequest.md)
 - [XiqCreateClassificationRuleRequest](docs/XiqCreateClassificationRuleRequest.md)
 - [XiqCreateCloudConfigGroupRequest](docs/XiqCreateCloudConfigGroupRequest.md)
 - [XiqCreateEndUserRequest](docs/XiqCreateEndUserRequest.md)
 - [XiqCreateExternalRadiusServerRequest](docs/XiqCreateExternalRadiusServerRequest.md)
 - [XiqCreateFloorRequest](docs/XiqCreateFloorRequest.md)
 - [XiqCreateInternalRadiusServerRequest](docs/XiqCreateInternalRadiusServerRequest.md)
 - [XiqCreateKeyBasedPcgUsersRequest](docs/XiqCreateKeyBasedPcgUsersRequest.md)
 - [XiqCreateKeyBasedPcgUsersResponse](docs/XiqCreateKeyBasedPcgUsersResponse.md)
 - [XiqCreateL3AddressProfileRequest](docs/XiqCreateL3AddressProfileRequest.md)
 - [XiqCreateLdapServerRequest](docs/XiqCreateLdapServerRequest.md)
 - [XiqCreateLocationRequest](docs/XiqCreateLocationRequest.md)
 - [XiqCreateMacObjectRequest](docs/XiqCreateMacObjectRequest.md)
 - [XiqCreateNetworkPolicyRequest](docs/XiqCreateNetworkPolicyRequest.md)
 - [XiqCreateOrganizationRequest](docs/XiqCreateOrganizationRequest.md)
 - [XiqCreateRadioProfileRequest](docs/XiqCreateRadioProfileRequest.md)
 - [XiqCreateRadiusClient](docs/XiqCreateRadiusClient.md)
 - [XiqCreateRadiusClientObjectRequest](docs/XiqCreateRadiusClientObjectRequest.md)
 - [XiqCreateRadiusProxyRealm](docs/XiqCreateRadiusProxyRealm.md)
 - [XiqCreateRadiusProxyRequest](docs/XiqCreateRadiusProxyRequest.md)
 - [XiqCreateRpMacOuiProfileRequest](docs/XiqCreateRpMacOuiProfileRequest.md)
 - [XiqCreateSiteRequest](docs/XiqCreateSiteRequest.md)
 - [XiqCreateUserGroupRequest](docs/XiqCreateUserGroupRequest.md)
 - [XiqCreateUserProfileAssignmentRequest](docs/XiqCreateUserProfileAssignmentRequest.md)
 - [XiqCreateUserProfileRequest](docs/XiqCreateUserProfileRequest.md)
 - [XiqCreateUserRequest](docs/XiqCreateUserRequest.md)
 - [XiqCreateVlanObjectClassifiedEntryRequest](docs/XiqCreateVlanObjectClassifiedEntryRequest.md)
 - [XiqCreateVlanProfileRequest](docs/XiqCreateVlanProfileRequest.md)
 - [XiqCreateWebhookSubscriptionRequest](docs/XiqCreateWebhookSubscriptionRequest.md)
 - [XiqCredentialLog](docs/XiqCredentialLog.md)
 - [XiqCwp](docs/XiqCwp.md)
 - [XiqDataPoint](docs/XiqDataPoint.md)
 - [XiqDateTimeType](docs/XiqDateTimeType.md)
 - [XiqDateTimeUnitType](docs/XiqDateTimeUnitType.md)
 - [XiqDefaultDevicePassword](docs/XiqDefaultDevicePassword.md)
 - [XiqDeleteBulkAlertSubscriptionEmailResponse](docs/XiqDeleteBulkAlertSubscriptionEmailResponse.md)
 - [XiqDeleteBulkAlertSubscriptionRequest](docs/XiqDeleteBulkAlertSubscriptionRequest.md)
 - [XiqDeleteBulkAlertSubscriptionWebhookResponse](docs/XiqDeleteBulkAlertSubscriptionWebhookResponse.md)
 - [XiqDeleteKeyBasedPcgUsersRequest](docs/XiqDeleteKeyBasedPcgUsersRequest.md)
 - [XiqDeliverySettings](docs/XiqDeliverySettings.md)
 - [XiqDellDevice](docs/XiqDellDevice.md)
 - [XiqDellDevices](docs/XiqDellDevices.md)
 - [XiqDeploymentOverview](docs/XiqDeploymentOverview.md)
 - [XiqDeploymentPolicy](docs/XiqDeploymentPolicy.md)
 - [XiqDeploymentRequest](docs/XiqDeploymentRequest.md)
 - [XiqDeploymentResponse](docs/XiqDeploymentResponse.md)
 - [XiqDeploymentStatus](docs/XiqDeploymentStatus.md)
 - [XiqDestinationType](docs/XiqDestinationType.md)
 - [XiqDevice](docs/XiqDevice.md)
 - [XiqDeviceAdminState](docs/XiqDeviceAdminState.md)
 - [XiqDeviceAlarm](docs/XiqDeviceAlarm.md)
 - [XiqDeviceCategory](docs/XiqDeviceCategory.md)
 - [XiqDeviceClientMonitor](docs/XiqDeviceClientMonitor.md)
 - [XiqDeviceConfigureIpv4Interface](docs/XiqDeviceConfigureIpv4Interface.md)
 - [XiqDeviceConfigureIpv4InterfaceResponse](docs/XiqDeviceConfigureIpv4InterfaceResponse.md)
 - [XiqDeviceConfigureIpv4StaticRoute](docs/XiqDeviceConfigureIpv4StaticRoute.md)
 - [XiqDeviceCpuMemoryUsage](docs/XiqDeviceCpuMemoryUsage.md)
 - [XiqDeviceCreateConfigureIpv4Interface](docs/XiqDeviceCreateConfigureIpv4Interface.md)
 - [XiqDeviceCreateConfigureIpv4StaticRoute](docs/XiqDeviceCreateConfigureIpv4StaticRoute.md)
 - [XiqDeviceCreateVlanAttributes](docs/XiqDeviceCreateVlanAttributes.md)
 - [XiqDeviceDhcpRelay](docs/XiqDeviceDhcpRelay.md)
 - [XiqDeviceField](docs/XiqDeviceField.md)
 - [XiqDeviceFilter](docs/XiqDeviceFilter.md)
 - [XiqDeviceFirmwareMetadata](docs/XiqDeviceFirmwareMetadata.md)
 - [XiqDeviceFunction](docs/XiqDeviceFunction.md)
 - [XiqDeviceGeolocation](docs/XiqDeviceGeolocation.md)
 - [XiqDeviceIbeacon](docs/XiqDeviceIbeacon.md)
 - [XiqDeviceInstallationReport](docs/XiqDeviceInstallationReport.md)
 - [XiqDeviceInterfaceRadioMode](docs/XiqDeviceInterfaceRadioMode.md)
 - [XiqDeviceIotInterfaceSettingsEntry](docs/XiqDeviceIotInterfaceSettingsEntry.md)
 - [XiqDeviceIpv4RoutingRouteOriginField](docs/XiqDeviceIpv4RoutingRouteOriginField.md)
 - [XiqDeviceIpv4RoutingSortField](docs/XiqDeviceIpv4RoutingSortField.md)
 - [XiqDeviceIpv4RoutingStatusField](docs/XiqDeviceIpv4RoutingStatusField.md)
 - [XiqDeviceLevelSsid](docs/XiqDeviceLevelSsid.md)
 - [XiqDeviceLevelSsidStatus](docs/XiqDeviceLevelSsidStatus.md)
 - [XiqDeviceLldpCdpInfo](docs/XiqDeviceLldpCdpInfo.md)
 - [XiqDeviceLocation](docs/XiqDeviceLocation.md)
 - [XiqDeviceLocationAssignment](docs/XiqDeviceLocationAssignment.md)
 - [XiqDeviceMonitorIpv4RouteNexthop](docs/XiqDeviceMonitorIpv4RouteNexthop.md)
 - [XiqDeviceMonitorIpv4Routing](docs/XiqDeviceMonitorIpv4Routing.md)
 - [XiqDeviceMonitorIpv4RoutingDetail](docs/XiqDeviceMonitorIpv4RoutingDetail.md)
 - [XiqDeviceMonitorIpv4RoutingTimeline](docs/XiqDeviceMonitorIpv4RoutingTimeline.md)
 - [XiqDeviceMonitorIpv4RoutingTimelineInfo](docs/XiqDeviceMonitorIpv4RoutingTimelineInfo.md)
 - [XiqDeviceMonitorRefreshResponse](docs/XiqDeviceMonitorRefreshResponse.md)
 - [XiqDeviceMonitorRefreshStatusResponse](docs/XiqDeviceMonitorRefreshStatusResponse.md)
 - [XiqDeviceMonitorVlanAttributes](docs/XiqDeviceMonitorVlanAttributes.md)
 - [XiqDeviceMonitorVlanAttributesInfo](docs/XiqDeviceMonitorVlanAttributesInfo.md)
 - [XiqDeviceMonitorVlanIpv4Interfaces](docs/XiqDeviceMonitorVlanIpv4Interfaces.md)
 - [XiqDeviceMonitorVlanIpv4InterfacesDetails](docs/XiqDeviceMonitorVlanIpv4InterfacesDetails.md)
 - [XiqDeviceNullField](docs/XiqDeviceNullField.md)
 - [XiqDeviceRadioOperatingMode](docs/XiqDeviceRadioOperatingMode.md)
 - [XiqDeviceSortField](docs/XiqDeviceSortField.md)
 - [XiqDeviceStats](docs/XiqDeviceStats.md)
 - [XiqDeviceStatsEntity](docs/XiqDeviceStatsEntity.md)
 - [XiqDeviceSubnetworkIpv4](docs/XiqDeviceSubnetworkIpv4.md)
 - [XiqDeviceType](docs/XiqDeviceType.md)
 - [XiqDeviceUpdateConfigureIpv4Interface](docs/XiqDeviceUpdateConfigureIpv4Interface.md)
 - [XiqDeviceUpdateConfigureIpv4StaticRoute](docs/XiqDeviceUpdateConfigureIpv4StaticRoute.md)
 - [XiqDeviceUpdateVlanAttributes](docs/XiqDeviceUpdateVlanAttributes.md)
 - [XiqDeviceView](docs/XiqDeviceView.md)
 - [XiqDeviceVlanAttributes](docs/XiqDeviceVlanAttributes.md)
 - [XiqDeviceVlanAttributesDhcpSnoopingAction](docs/XiqDeviceVlanAttributesDhcpSnoopingAction.md)
 - [XiqDeviceVlanIpv4InterfacesSortField](docs/XiqDeviceVlanIpv4InterfacesSortField.md)
 - [XiqDeviceVlanSortField](docs/XiqDeviceVlanSortField.md)
 - [XiqDeviceWifiInterface](docs/XiqDeviceWifiInterface.md)
 - [XiqDeviceWirelessInterfaceEntry](docs/XiqDeviceWirelessInterfaceEntry.md)
 - [XiqDfsChannelChangesEntity](docs/XiqDfsChannelChangesEntity.md)
 - [XiqDfsChannelStatsEntity](docs/XiqDfsChannelStatsEntity.md)
 - [XiqDfsRecurenceChannelStatsResponse](docs/XiqDfsRecurenceChannelStatsResponse.md)
 - [XiqDfsRecurenceCountStatsResponse](docs/XiqDfsRecurenceCountStatsResponse.md)
 - [XiqDhcpPlatform](docs/XiqDhcpPlatform.md)
 - [XiqDhcpServiceType](docs/XiqDhcpServiceType.md)
 - [XiqDigitalTwinDevice](docs/XiqDigitalTwinDevice.md)
 - [XiqDigitalTwinDevices](docs/XiqDigitalTwinDevices.md)
 - [XiqDigitalTwinFeatLicense](docs/XiqDigitalTwinFeatLicense.md)
 - [XiqDigitalTwinMake](docs/XiqDigitalTwinMake.md)
 - [XiqDigitalTwinModel](docs/XiqDigitalTwinModel.md)
 - [XiqDigitalTwinOnboardDevice](docs/XiqDigitalTwinOnboardDevice.md)
 - [XiqDigitalTwinProducts](docs/XiqDigitalTwinProducts.md)
 - [XiqDigitalTwinVimModule](docs/XiqDigitalTwinVimModule.md)
 - [XiqDuplexDataRateEntity](docs/XiqDuplexDataRateEntity.md)
 - [XiqEkahauFloorImportResult](docs/XiqEkahauFloorImportResult.md)
 - [XiqEkahauFloorImportStatus](docs/XiqEkahauFloorImportStatus.md)
 - [XiqEkahauFloorToFloorAssociation](docs/XiqEkahauFloorToFloorAssociation.md)
 - [XiqEkahauFloorToOutdoorSiteAssociation](docs/XiqEkahauFloorToOutdoorSiteAssociation.md)
 - [XiqEkahauImportDetails](docs/XiqEkahauImportDetails.md)
 - [XiqEkahauImportIssue](docs/XiqEkahauImportIssue.md)
 - [XiqEkahauImportIssues](docs/XiqEkahauImportIssues.md)
 - [XiqElevation](docs/XiqElevation.md)
 - [XiqEllipse](docs/XiqEllipse.md)
 - [XiqEmailLog](docs/XiqEmailLog.md)
 - [XiqEmailTemplate](docs/XiqEmailTemplate.md)
 - [XiqEndUser](docs/XiqEndUser.md)
 - [XiqEntitlementType](docs/XiqEntitlementType.md)
 - [XiqError](docs/XiqError.md)
 - [XiqExosDevice](docs/XiqExosDevice.md)
 - [XiqExosDevices](docs/XiqExosDevices.md)
 - [XiqExpirationActionType](docs/XiqExpirationActionType.md)
 - [XiqExpirationSettings](docs/XiqExpirationSettings.md)
 - [XiqExpirationType](docs/XiqExpirationType.md)
 - [XiqExternalAccount](docs/XiqExternalAccount.md)
 - [XiqExternalRadiusServer](docs/XiqExternalRadiusServer.md)
 - [XiqExternalUser](docs/XiqExternalUser.md)
 - [XiqExternalUserDirectory](docs/XiqExternalUserDirectory.md)
 - [XiqExternalUserDirectoryEntry](docs/XiqExternalUserDirectoryEntry.md)
 - [XiqExternalUserDirectoryType](docs/XiqExternalUserDirectoryType.md)
 - [XiqExtremeDevice](docs/XiqExtremeDevice.md)
 - [XiqExtremeDevices](docs/XiqExtremeDevices.md)
 - [XiqFailureOnboardDevice](docs/XiqFailureOnboardDevice.md)
 - [XiqFeedbackType](docs/XiqFeedbackType.md)
 - [XiqFirmwareActivateOption](docs/XiqFirmwareActivateOption.md)
 - [XiqFirmwareMetadatasRequest](docs/XiqFirmwareMetadatasRequest.md)
 - [XiqFirmwareMetadatasResponse](docs/XiqFirmwareMetadatasResponse.md)
 - [XiqFirmwareUpgradePolicy](docs/XiqFirmwareUpgradePolicy.md)
 - [XiqFirmwareUpgradeVersion](docs/XiqFirmwareUpgradeVersion.md)
 - [XiqFlapCountEntity](docs/XiqFlapCountEntity.md)
 - [XiqFloor](docs/XiqFloor.md)
 - [XiqForensicBucket](docs/XiqForensicBucket.md)
 - [XiqFtmSettings](docs/XiqFtmSettings.md)
 - [XiqFtmSettingsRequest](docs/XiqFtmSettingsRequest.md)
 - [XiqGatewayIpType](docs/XiqGatewayIpType.md)
 - [XiqGenerateApiTokenRequest](docs/XiqGenerateApiTokenRequest.md)
 - [XiqGenerateApiTokenResponse](docs/XiqGenerateApiTokenResponse.md)
 - [XiqGetAfcSpectrumForApRequest](docs/XiqGetAfcSpectrumForApRequest.md)
 - [XiqGetAfcSpectrumForSiteApsRequest](docs/XiqGetAfcSpectrumForSiteApsRequest.md)
 - [XiqGetDeviceInfoByNos](docs/XiqGetDeviceInfoByNos.md)
 - [XiqGetDeviceInfobyNosRequest](docs/XiqGetDeviceInfobyNosRequest.md)
 - [XiqGetPortAssignmentDetailsResponse](docs/XiqGetPortAssignmentDetailsResponse.md)
 - [XiqGrantExternalUserRequest](docs/XiqGrantExternalUserRequest.md)
 - [XiqHiqContext](docs/XiqHiqContext.md)
 - [XiqHiqStatus](docs/XiqHiqStatus.md)
 - [XiqHostNameAddressProfile](docs/XiqHostNameAddressProfile.md)
 - [XiqHttpMethod](docs/XiqHttpMethod.md)
 - [XiqHttpServer](docs/XiqHttpServer.md)
 - [XiqInitKeyBasedPcgNetworkPolicyRequest](docs/XiqInitKeyBasedPcgNetworkPolicyRequest.md)
 - [XiqInitializeLocationRequest](docs/XiqInitializeLocationRequest.md)
 - [XiqInternalRadiusDevice](docs/XiqInternalRadiusDevice.md)
 - [XiqInternalRadiusServer](docs/XiqInternalRadiusServer.md)
 - [XiqInternalRadiusServerAuthenticationMethod](docs/XiqInternalRadiusServerAuthenticationMethod.md)
 - [XiqInternalRadiusServerAuthenticationMethodGroup](docs/XiqInternalRadiusServerAuthenticationMethodGroup.md)
 - [XiqIotApplicationId](docs/XiqIotApplicationId.md)
 - [XiqIotApplicationSupported](docs/XiqIotApplicationSupported.md)
 - [XiqIotProfile](docs/XiqIotProfile.md)
 - [XiqIotProfileRequest](docs/XiqIotProfileRequest.md)
 - [XiqIotProfileThreadGateway](docs/XiqIotProfileThreadGateway.md)
 - [XiqIotpMaBleBeacon](docs/XiqIotpMaBleBeacon.md)
 - [XiqIotpMaBleBeaconAppType](docs/XiqIotpMaBleBeaconAppType.md)
 - [XiqIotpMaBleBeaconApplication](docs/XiqIotpMaBleBeaconApplication.md)
 - [XiqIotpMaBleScan](docs/XiqIotpMaBleScan.md)
 - [XiqIotpMaBleScanAppType](docs/XiqIotpMaBleScanAppType.md)
 - [XiqIotpMaBleScanApplication](docs/XiqIotpMaBleScanApplication.md)
 - [XiqIotpMaBleScanDestination](docs/XiqIotpMaBleScanDestination.md)
 - [XiqIotpMaBleScanVendor](docs/XiqIotpMaBleScanVendor.md)
 - [XiqIotpMaBleScanVendorType](docs/XiqIotpMaBleScanVendorType.md)
 - [XiqIotpTgWhiteListEntry](docs/XiqIotpTgWhiteListEntry.md)
 - [XiqIpAddressProfile](docs/XiqIpAddressProfile.md)
 - [XiqIpFirewall](docs/XiqIpFirewall.md)
 - [XiqIpFirewallAction](docs/XiqIpFirewallAction.md)
 - [XiqIpFirewallPolicyRequest](docs/XiqIpFirewallPolicyRequest.md)
 - [XiqIpFirewallRule](docs/XiqIpFirewallRule.md)
 - [XiqIpFirewallRuleRequest](docs/XiqIpFirewallRuleRequest.md)
 - [XiqIpRangeAddressProfile](docs/XiqIpRangeAddressProfile.md)
 - [XiqKeyBasedPcg](docs/XiqKeyBasedPcg.md)
 - [XiqKeyBasedPcgUser](docs/XiqKeyBasedPcgUser.md)
 - [XiqKeyBasedPcgUserBaseInfo](docs/XiqKeyBasedPcgUserBaseInfo.md)
 - [XiqL3AddressProfile](docs/XiqL3AddressProfile.md)
 - [XiqL3AddressProfileResponse](docs/XiqL3AddressProfileResponse.md)
 - [XiqL3AddressType](docs/XiqL3AddressType.md)
 - [XiqLdapProtocolType](docs/XiqLdapProtocolType.md)
 - [XiqLdapServer](docs/XiqLdapServer.md)
 - [XiqLdapServerVerificationMode](docs/XiqLdapServerVerificationMode.md)
 - [XiqLicenseMode](docs/XiqLicenseMode.md)
 - [XiqLicenseStatus](docs/XiqLicenseStatus.md)
 - [XiqListAfcServers](docs/XiqListAfcServers.md)
 - [XiqListAlertPolicies](docs/XiqListAlertPolicies.md)
 - [XiqLocation](docs/XiqLocation.md)
 - [XiqLocationLegend](docs/XiqLocationLegend.md)
 - [XiqLocationTreeDevice](docs/XiqLocationTreeDevice.md)
 - [XiqLocationTreeMap](docs/XiqLocationTreeMap.md)
 - [XiqLocationType](docs/XiqLocationType.md)
 - [XiqLoggingType](docs/XiqLoggingType.md)
 - [XiqLoginRequest](docs/XiqLoginRequest.md)
 - [XiqLoginResponse](docs/XiqLoginResponse.md)
 - [XiqMacFirewall](docs/XiqMacFirewall.md)
 - [XiqMacFirewallAction](docs/XiqMacFirewallAction.md)
 - [XiqMacFirewallPolicyRequest](docs/XiqMacFirewallPolicyRequest.md)
 - [XiqMacFirewallRule](docs/XiqMacFirewallRule.md)
 - [XiqMacFirewallRuleRequest](docs/XiqMacFirewallRuleRequest.md)
 - [XiqMacObject](docs/XiqMacObject.md)
 - [XiqMacObjectType](docs/XiqMacObjectType.md)
 - [XiqMeasurementUnit](docs/XiqMeasurementUnit.md)
 - [XiqNetworkAlgType](docs/XiqNetworkAlgType.md)
 - [XiqNetworkIpProtocol](docs/XiqNetworkIpProtocol.md)
 - [XiqNetworkPolicy](docs/XiqNetworkPolicy.md)
 - [XiqNetworkPolicyField](docs/XiqNetworkPolicyField.md)
 - [XiqNetworkPolicyType](docs/XiqNetworkPolicyType.md)
 - [XiqNetworkPolicyView](docs/XiqNetworkPolicyView.md)
 - [XiqNetworkService](docs/XiqNetworkService.md)
 - [XiqNetworkServiceRequest](docs/XiqNetworkServiceRequest.md)
 - [XiqOnboardDeviceRequest](docs/XiqOnboardDeviceRequest.md)
 - [XiqOnboardError](docs/XiqOnboardError.md)
 - [XiqOnboardKeyBasedPcgRequest](docs/XiqOnboardKeyBasedPcgRequest.md)
 - [XiqOnboardKeyBasedPcgResponse](docs/XiqOnboardKeyBasedPcgResponse.md)
 - [XiqOperationMetadata](docs/XiqOperationMetadata.md)
 - [XiqOperationObject](docs/XiqOperationObject.md)
 - [XiqOperationStatus](docs/XiqOperationStatus.md)
 - [XiqOrganization](docs/XiqOrganization.md)
 - [XiqOrganizationType](docs/XiqOrganizationType.md)
 - [XiqOsObject](docs/XiqOsObject.md)
 - [XiqPacketCapture](docs/XiqPacketCapture.md)
 - [XiqPacketCaptureField](docs/XiqPacketCaptureField.md)
 - [XiqPacketCaptureSortField](docs/XiqPacketCaptureSortField.md)
 - [XiqPacketCaptureStatus](docs/XiqPacketCaptureStatus.md)
 - [XiqPasswordCharacterType](docs/XiqPasswordCharacterType.md)
 - [XiqPasswordDbLocation](docs/XiqPasswordDbLocation.md)
 - [XiqPasswordSettings](docs/XiqPasswordSettings.md)
 - [XiqPasswordType](docs/XiqPasswordType.md)
 - [XiqPcgAssignPortsRequest](docs/XiqPcgAssignPortsRequest.md)
 - [XiqPcgAssignPortsResponse](docs/XiqPcgAssignPortsResponse.md)
 - [XiqPcgPortAssignment](docs/XiqPcgPortAssignment.md)
 - [XiqPcgPortAssignmentEntry](docs/XiqPcgPortAssignmentEntry.md)
 - [XiqPcgPortAssignmentEntryDetail](docs/XiqPcgPortAssignmentEntryDetail.md)
 - [XiqPcgPortAssignmentEntryDeviceMeta](docs/XiqPcgPortAssignmentEntryDeviceMeta.md)
 - [XiqPcgPortAssignmentEntryEthUserMeta](docs/XiqPcgPortAssignmentEntryEthUserMeta.md)
 - [XiqPcgType](docs/XiqPcgType.md)
 - [XiqPermission](docs/XiqPermission.md)
 - [XiqPoeFlappingStatsResponse](docs/XiqPoeFlappingStatsResponse.md)
 - [XiqPoeTrendGraphsResponse](docs/XiqPoeTrendGraphsResponse.md)
 - [XiqPolicyRuleProtocolType](docs/XiqPolicyRuleProtocolType.md)
 - [XiqPortEfficiencySpeedDuplexStatsResponse](docs/XiqPortEfficiencySpeedDuplexStatsResponse.md)
 - [XiqPortEfficiencyStatsResponse](docs/XiqPortEfficiencyStatsResponse.md)
 - [XiqPostExpirationAction](docs/XiqPostExpirationAction.md)
 - [XiqPowerSourceEquipment](docs/XiqPowerSourceEquipment.md)
 - [XiqPskGenerationMethod](docs/XiqPskGenerationMethod.md)
 - [XiqQualityIndex](docs/XiqQualityIndex.md)
 - [XiqRadio](docs/XiqRadio.md)
 - [XiqRadioBands](docs/XiqRadioBands.md)
 - [XiqRadioEntity](docs/XiqRadioEntity.md)
 - [XiqRadioMode](docs/XiqRadioMode.md)
 - [XiqRadioOperatingModes](docs/XiqRadioOperatingModes.md)
 - [XiqRadioProfile](docs/XiqRadioProfile.md)
 - [XiqRadiusClient](docs/XiqRadiusClient.md)
 - [XiqRadiusClientObject](docs/XiqRadiusClientObject.md)
 - [XiqRadiusClientObjectEntry](docs/XiqRadiusClientObjectEntry.md)
 - [XiqRadiusClientObjectType](docs/XiqRadiusClientObjectType.md)
 - [XiqRadiusClientProfile](docs/XiqRadiusClientProfile.md)
 - [XiqRadiusClientProfileEntry](docs/XiqRadiusClientProfileEntry.md)
 - [XiqRadiusProxy](docs/XiqRadiusProxy.md)
 - [XiqRadiusProxyFormatType](docs/XiqRadiusProxyFormatType.md)
 - [XiqRadiusProxyRealm](docs/XiqRadiusProxyRealm.md)
 - [XiqRadiusServerType](docs/XiqRadiusServerType.md)
 - [XiqRecurrenceType](docs/XiqRecurrenceType.md)
 - [XiqRegenerateEndUserPasswordResponse](docs/XiqRegenerateEndUserPasswordResponse.md)
 - [XiqRfEnvironmentType](docs/XiqRfEnvironmentType.md)
 - [XiqRpChannelSelection](docs/XiqRpChannelSelection.md)
 - [XiqRpMacOuiProfile](docs/XiqRpMacOuiProfile.md)
 - [XiqRpMiscellaneousSettings](docs/XiqRpMiscellaneousSettings.md)
 - [XiqRpNeighborhoodAnalysis](docs/XiqRpNeighborhoodAnalysis.md)
 - [XiqRpRadioUsageOptimization](docs/XiqRpRadioUsageOptimization.md)
 - [XiqRpSensorScanSettings](docs/XiqRpSensorScanSettings.md)
 - [XiqRpWmmQosSettings](docs/XiqRpWmmQosSettings.md)
 - [XiqSchedule](docs/XiqSchedule.md)
 - [XiqScheduleType](docs/XiqScheduleType.md)
 - [XiqSendCliRequest](docs/XiqSendCliRequest.md)
 - [XiqSendCliResponse](docs/XiqSendCliResponse.md)
 - [XiqServerRole](docs/XiqServerRole.md)
 - [XiqSessionsDataEntity](docs/XiqSessionsDataEntity.md)
 - [XiqSetSsidModeDot1xRequest](docs/XiqSetSsidModeDot1xRequest.md)
 - [XiqSetSsidModePpskRequest](docs/XiqSetSsidModePpskRequest.md)
 - [XiqSetSsidModePskRequest](docs/XiqSetSsidModePskRequest.md)
 - [XiqSetSsidModeWepRequest](docs/XiqSetSsidModeWepRequest.md)
 - [XiqSite](docs/XiqSite.md)
 - [XiqSiteAfcSchedule](docs/XiqSiteAfcSchedule.md)
 - [XiqSitesByWiredEntity](docs/XiqSitesByWiredEntity.md)
 - [XiqSitesByWirelessEntity](docs/XiqSitesByWirelessEntity.md)
 - [XiqSmsLog](docs/XiqSmsLog.md)
 - [XiqSmsLogStatus](docs/XiqSmsLogStatus.md)
 - [XiqSmsTemplate](docs/XiqSmsTemplate.md)
 - [XiqSortField](docs/XiqSortField.md)
 - [XiqSortOrder](docs/XiqSortOrder.md)
 - [XiqSpectrumMismatchSummary](docs/XiqSpectrumMismatchSummary.md)
 - [XiqSpeedDuplexEntity](docs/XiqSpeedDuplexEntity.md)
 - [XiqSsid](docs/XiqSsid.md)
 - [XiqSsidAccessSecurity](docs/XiqSsidAccessSecurity.md)
 - [XiqSsidAccessSecurityType](docs/XiqSsidAccessSecurityType.md)
 - [XiqSsidAdvancedSettings](docs/XiqSsidAdvancedSettings.md)
 - [XiqSsidDot1xEncryptionMethod](docs/XiqSsidDot1xEncryptionMethod.md)
 - [XiqSsidDot1xKeyManagement](docs/XiqSsidDot1xKeyManagement.md)
 - [XiqSsidEncryptionMethod](docs/XiqSsidEncryptionMethod.md)
 - [XiqSsidKeyManagement](docs/XiqSsidKeyManagement.md)
 - [XiqSsidKeyType](docs/XiqSsidKeyType.md)
 - [XiqSsidPpskKeyManagement](docs/XiqSsidPpskKeyManagement.md)
 - [XiqSsidPskEncryptionMethod](docs/XiqSsidPskEncryptionMethod.md)
 - [XiqSsidPskKeyManagement](docs/XiqSsidPskKeyManagement.md)
 - [XiqSsidSaeGroup](docs/XiqSsidSaeGroup.md)
 - [XiqSsidStatus](docs/XiqSsidStatus.md)
 - [XiqSsidWepAuthenticationMethod](docs/XiqSsidWepAuthenticationMethod.md)
 - [XiqSsidWepDefaultKey](docs/XiqSsidWepDefaultKey.md)
 - [XiqSsidWepEncryptionMethod](docs/XiqSsidWepEncryptionMethod.md)
 - [XiqSsidWepKeyManagement](docs/XiqSsidWepKeyManagement.md)
 - [XiqStorage](docs/XiqStorage.md)
 - [XiqSubnetAddressProfile](docs/XiqSubnetAddressProfile.md)
 - [XiqSubscriptionDataType](docs/XiqSubscriptionDataType.md)
 - [XiqSubscriptionMessageType](docs/XiqSubscriptionMessageType.md)
 - [XiqSubscriptionStatus](docs/XiqSubscriptionStatus.md)
 - [XiqSuccessOnboardDevice](docs/XiqSuccessOnboardDevice.md)
 - [XiqThreadBackboneBorderRouterService](docs/XiqThreadBackboneBorderRouterService.md)
 - [XiqThreadBorderAgentService](docs/XiqThreadBorderAgentService.md)
 - [XiqThreadBorderRouterService](docs/XiqThreadBorderRouterService.md)
 - [XiqThreadCommissionerService](docs/XiqThreadCommissionerService.md)
 - [XiqThreadIpv6Setting](docs/XiqThreadIpv6Setting.md)
 - [XiqThreadLeaderService](docs/XiqThreadLeaderService.md)
 - [XiqThreadMleLinkMode](docs/XiqThreadMleLinkMode.md)
 - [XiqThreadNat64Service](docs/XiqThreadNat64Service.md)
 - [XiqThreadNetDataPrefix](docs/XiqThreadNetDataPrefix.md)
 - [XiqThreadNetDataRoute](docs/XiqThreadNetDataRoute.md)
 - [XiqThreadNetDataService](docs/XiqThreadNetDataService.md)
 - [XiqThreadNetworkConfig](docs/XiqThreadNetworkConfig.md)
 - [XiqThreadNetworkData](docs/XiqThreadNetworkData.md)
 - [XiqThreadNetworkInterface](docs/XiqThreadNetworkInterface.md)
 - [XiqThreadNetworkTopology](docs/XiqThreadNetworkTopology.md)
 - [XiqThreadNetworks](docs/XiqThreadNetworks.md)
 - [XiqThreadRouter](docs/XiqThreadRouter.md)
 - [XiqThreadRouterNeighbor](docs/XiqThreadRouterNeighbor.md)
 - [XiqThreadStartCommissionerRequest](docs/XiqThreadStartCommissionerRequest.md)
 - [XiqThreadStopCommissionerRequest](docs/XiqThreadStopCommissionerRequest.md)
 - [XiqThreadVersion](docs/XiqThreadVersion.md)
 - [XiqTopApplicationsUsage](docs/XiqTopApplicationsUsage.md)
 - [XiqTraffic](docs/XiqTraffic.md)
 - [XiqTrendGraphEntity](docs/XiqTrendGraphEntity.md)
 - [XiqTrendIndicator](docs/XiqTrendIndicator.md)
 - [XiqTunnelConcentrator](docs/XiqTunnelConcentrator.md)
 - [XiqTunnelConcentratorRequest](docs/XiqTunnelConcentratorRequest.md)
 - [XiqUnaffectedDownlinkDevice](docs/XiqUnaffectedDownlinkDevice.md)
 - [XiqUpdateActionAnomalyDetails](docs/XiqUpdateActionAnomalyDetails.md)
 - [XiqUpdateAlertEmailSubscriptionRequest](docs/XiqUpdateAlertEmailSubscriptionRequest.md)
 - [XiqUpdateAlertRuleRequest](docs/XiqUpdateAlertRuleRequest.md)
 - [XiqUpdateAlertWebhookSubscriptionRequest](docs/XiqUpdateAlertWebhookSubscriptionRequest.md)
 - [XiqUpdateAnomaliesAndDevicesRequest](docs/XiqUpdateAnomaliesAndDevicesRequest.md)
 - [XiqUpdateBuildingRequest](docs/XiqUpdateBuildingRequest.md)
 - [XiqUpdateClassificationRequest](docs/XiqUpdateClassificationRequest.md)
 - [XiqUpdateClassificationRuleRequest](docs/XiqUpdateClassificationRuleRequest.md)
 - [XiqUpdateClientMonitorProfileRequest](docs/XiqUpdateClientMonitorProfileRequest.md)
 - [XiqUpdateCloudConfigGroupRequest](docs/XiqUpdateCloudConfigGroupRequest.md)
 - [XiqUpdateDeviceLevelSsidStatus](docs/XiqUpdateDeviceLevelSsidStatus.md)
 - [XiqUpdateEndUserRequest](docs/XiqUpdateEndUserRequest.md)
 - [XiqUpdateExternalRadiusServerRequest](docs/XiqUpdateExternalRadiusServerRequest.md)
 - [XiqUpdateExternalUserRequest](docs/XiqUpdateExternalUserRequest.md)
 - [XiqUpdateFloorRequest](docs/XiqUpdateFloorRequest.md)
 - [XiqUpdateInternalRadiusServerRequest](docs/XiqUpdateInternalRadiusServerRequest.md)
 - [XiqUpdateKeyBasedPcgUsersRequest](docs/XiqUpdateKeyBasedPcgUsersRequest.md)
 - [XiqUpdateL3AddressProfileRequest](docs/XiqUpdateL3AddressProfileRequest.md)
 - [XiqUpdateLdapServerRequest](docs/XiqUpdateLdapServerRequest.md)
 - [XiqUpdateLocationRequest](docs/XiqUpdateLocationRequest.md)
 - [XiqUpdateMacObjectRequest](docs/XiqUpdateMacObjectRequest.md)
 - [XiqUpdateNetworkPolicyRequest](docs/XiqUpdateNetworkPolicyRequest.md)
 - [XiqUpdateRadioProfileRequest](docs/XiqUpdateRadioProfileRequest.md)
 - [XiqUpdateRadiusClient](docs/XiqUpdateRadiusClient.md)
 - [XiqUpdateRadiusClientObjectRequest](docs/XiqUpdateRadiusClientObjectRequest.md)
 - [XiqUpdateRadiusProxyRealm](docs/XiqUpdateRadiusProxyRealm.md)
 - [XiqUpdateRadiusProxyRequest](docs/XiqUpdateRadiusProxyRequest.md)
 - [XiqUpdateRpChannelSelectionRequest](docs/XiqUpdateRpChannelSelectionRequest.md)
 - [XiqUpdateRpMacOuiProfileRequest](docs/XiqUpdateRpMacOuiProfileRequest.md)
 - [XiqUpdateRpMiscellaneousSettingsRequest](docs/XiqUpdateRpMiscellaneousSettingsRequest.md)
 - [XiqUpdateRpNeighborhoodAnalysisRequest](docs/XiqUpdateRpNeighborhoodAnalysisRequest.md)
 - [XiqUpdateRpRadioUsageOptimizationRequest](docs/XiqUpdateRpRadioUsageOptimizationRequest.md)
 - [XiqUpdateRpSensorScanSettingsRequest](docs/XiqUpdateRpSensorScanSettingsRequest.md)
 - [XiqUpdateRpWmmQosSettingsRequest](docs/XiqUpdateRpWmmQosSettingsRequest.md)
 - [XiqUpdateSiteRequest](docs/XiqUpdateSiteRequest.md)
 - [XiqUpdateSsidAdvancedSettingsRequest](docs/XiqUpdateSsidAdvancedSettingsRequest.md)
 - [XiqUpdateUserGroupRequest](docs/XiqUpdateUserGroupRequest.md)
 - [XiqUpdateUserProfileRequest](docs/XiqUpdateUserProfileRequest.md)
 - [XiqUpdateUserRequest](docs/XiqUpdateUserRequest.md)
 - [XiqUpdateVlanObjectClassifiedEntryRequest](docs/XiqUpdateVlanObjectClassifiedEntryRequest.md)
 - [XiqUpdateVlanProfileRequest](docs/XiqUpdateVlanProfileRequest.md)
 - [XiqUser](docs/XiqUser.md)
 - [XiqUserGroup](docs/XiqUserGroup.md)
 - [XiqUserProfile](docs/XiqUserProfile.md)
 - [XiqUserProfileAssignment](docs/XiqUserProfileAssignment.md)
 - [XiqUserProfileAssignmentRadiusAttribute](docs/XiqUserProfileAssignmentRadiusAttribute.md)
 - [XiqUserProfileAssignmentRule](docs/XiqUserProfileAssignmentRule.md)
 - [XiqUserRole](docs/XiqUserRole.md)
 - [XiqValidDailySettings](docs/XiqValidDailySettings.md)
 - [XiqValidDuringDateSettings](docs/XiqValidDuringDateSettings.md)
 - [XiqValidForTimePeriodSettings](docs/XiqValidForTimePeriodSettings.md)
 - [XiqValidTimePeriodAfterFirstLogin](docs/XiqValidTimePeriodAfterFirstLogin.md)
 - [XiqValidTimePeriodAfterIdCreation](docs/XiqValidTimePeriodAfterIdCreation.md)
 - [XiqValidTimePeriodAfterType](docs/XiqValidTimePeriodAfterType.md)
 - [XiqViq](docs/XiqViq.md)
 - [XiqViqExportImportStatusResponse](docs/XiqViqExportImportStatusResponse.md)
 - [XiqViqExportResponse](docs/XiqViqExportResponse.md)
 - [XiqViqImportResponse](docs/XiqViqImportResponse.md)
 - [XiqViqLicense](docs/XiqViqLicense.md)
 - [XiqViqOperationType](docs/XiqViqOperationType.md)
 - [XiqViqTaskProgress](docs/XiqViqTaskProgress.md)
 - [XiqVlanObjectClassifiedEntry](docs/XiqVlanObjectClassifiedEntry.md)
 - [XiqVlanProfile](docs/XiqVlanProfile.md)
 - [XiqVlanProfileFilter](docs/XiqVlanProfileFilter.md)
 - [XiqVossDevice](docs/XiqVossDevice.md)
 - [XiqVossDevices](docs/XiqVossDevices.md)
 - [XiqWebhookSubscription](docs/XiqWebhookSubscription.md)
 - [XiqWeekday](docs/XiqWeekday.md)
 - [XiqWgs84](docs/XiqWgs84.md)
 - [XiqWifiCapacityClientListResponse](docs/XiqWifiCapacityClientListResponse.md)
 - [XiqWifiCapacityStatsResponse](docs/XiqWifiCapacityStatsResponse.md)
 - [XiqWifiEfficiencyClientListResponse](docs/XiqWifiEfficiencyClientListResponse.md)
 - [XiqWifiEfficiencyStatsResponse](docs/XiqWifiEfficiencyStatsResponse.md)
 - [XiqWildcardAddressProfile](docs/XiqWildcardAddressProfile.md)
 - [XiqWildcardHostNameAddressProfile](docs/XiqWildcardHostNameAddressProfile.md)
 - [XiqWingDevice](docs/XiqWingDevice.md)
 - [XiqWingDevices](docs/XiqWingDevices.md)
 - [XiqWiredEventEntity](docs/XiqWiredEventEntity.md)
 - [XiqWiredFilterType](docs/XiqWiredFilterType.md)
 - [XiqWiredHardwareByLocationResponse](docs/XiqWiredHardwareByLocationResponse.md)
 - [XiqWiredHardwareEntity](docs/XiqWiredHardwareEntity.md)
 - [XiqWiredHardwareResponse](docs/XiqWiredHardwareResponse.md)
 - [XiqWiredQualityIndexResponse](docs/XiqWiredQualityIndexResponse.md)
 - [XiqWiredViewType](docs/XiqWiredViewType.md)
 - [XiqWirelessAppsResponse](docs/XiqWirelessAppsResponse.md)
 - [XiqWirelessClient](docs/XiqWirelessClient.md)
 - [XiqWirelessConnectivityPerformanceResponse](docs/XiqWirelessConnectivityPerformanceResponse.md)
 - [XiqWirelessEventRetriesEntity](docs/XiqWirelessEventRetriesEntity.md)
 - [XiqWirelessFilterType](docs/XiqWirelessFilterType.md)
 - [XiqWirelessIfName](docs/XiqWirelessIfName.md)
 - [XiqWirelessPerformanceEntity](docs/XiqWirelessPerformanceEntity.md)
 - [XiqWirelessPerformanceRetriesEntity](docs/XiqWirelessPerformanceRetriesEntity.md)
 - [XiqWirelessQualityIndexByLocationResponse](docs/XiqWirelessQualityIndexByLocationResponse.md)
 - [XiqWirelessQualityIndexResponse](docs/XiqWirelessQualityIndexResponse.md)
 - [XiqWirelessTimeToConnectEntity](docs/XiqWirelessTimeToConnectEntity.md)
 - [XiqWirelessTimeToConnectResponse](docs/XiqWirelessTimeToConnectResponse.md)
 - [XiqWirelessViewsListType](docs/XiqWirelessViewsListType.md)
 - [XiqWirelessViewsTypeResponse](docs/XiqWirelessViewsTypeResponse.md)
 - [XiqZsubelement](docs/XiqZsubelement.md)
 - [XiqZsubelementAboveFloor](docs/XiqZsubelementAboveFloor.md)


## Documentation For Authorization


## Bearer

- **Type**: Bearer authentication (JWT)


## Author

support@extremenetworks.com


