# coding: utf-8

"""
    ExtremeCloud IQ API

    ExtremeCloud IQ RESTful API for external and internal applications.  # noqa: E501

    The version of the OpenAPI document: 24.5.0.51
    Contact: support@extremenetworks.com
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from extremecloudiq.configuration import Configuration


class XiqCreateMacObjectRequest(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'name': 'str',
        'description': 'str',
        'value': 'str',
        'mac_type': 'XiqMacObjectType',
        'mac_address_end': 'str'
    }

    attribute_map = {
        'name': 'name',
        'description': 'description',
        'value': 'value',
        'mac_type': 'mac_type',
        'mac_address_end': 'mac_address_end'
    }

    def __init__(self, name=None, description=None, value=None, mac_type=None, mac_address_end=None, local_vars_configuration=None):  # noqa: E501
        """XiqCreateMacObjectRequest - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._name = None
        self._description = None
        self._value = None
        self._mac_type = None
        self._mac_address_end = None
        self.discriminator = None

        self.name = name
        if description is not None:
            self.description = description
        self.value = value
        self.mac_type = mac_type
        if mac_address_end is not None:
            self.mac_address_end = mac_address_end

    @property
    def name(self):
        """Gets the name of this XiqCreateMacObjectRequest.  # noqa: E501

        The product model  # noqa: E501

        :return: The name of this XiqCreateMacObjectRequest.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this XiqCreateMacObjectRequest.

        The product model  # noqa: E501

        :param name: The name of this XiqCreateMacObjectRequest.  # noqa: E501
        :type: str
        """
        if self.local_vars_configuration.client_side_validation and name is None:  # noqa: E501
            raise ValueError("Invalid value for `name`, must not be `None`")  # noqa: E501

        self._name = name

    @property
    def description(self):
        """Gets the description of this XiqCreateMacObjectRequest.  # noqa: E501

        The product description  # noqa: E501

        :return: The description of this XiqCreateMacObjectRequest.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this XiqCreateMacObjectRequest.

        The product description  # noqa: E501

        :param description: The description of this XiqCreateMacObjectRequest.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def value(self):
        """Gets the value of this XiqCreateMacObjectRequest.  # noqa: E501

        The MAC octets.  # noqa: E501

        :return: The value of this XiqCreateMacObjectRequest.  # noqa: E501
        :rtype: str
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this XiqCreateMacObjectRequest.

        The MAC octets.  # noqa: E501

        :param value: The value of this XiqCreateMacObjectRequest.  # noqa: E501
        :type: str
        """
        if self.local_vars_configuration.client_side_validation and value is None:  # noqa: E501
            raise ValueError("Invalid value for `value`, must not be `None`")  # noqa: E501

        self._value = value

    @property
    def mac_type(self):
        """Gets the mac_type of this XiqCreateMacObjectRequest.  # noqa: E501


        :return: The mac_type of this XiqCreateMacObjectRequest.  # noqa: E501
        :rtype: XiqMacObjectType
        """
        return self._mac_type

    @mac_type.setter
    def mac_type(self, mac_type):
        """Sets the mac_type of this XiqCreateMacObjectRequest.


        :param mac_type: The mac_type of this XiqCreateMacObjectRequest.  # noqa: E501
        :type: XiqMacObjectType
        """
        if self.local_vars_configuration.client_side_validation and mac_type is None:  # noqa: E501
            raise ValueError("Invalid value for `mac_type`, must not be `None`")  # noqa: E501

        self._mac_type = mac_type

    @property
    def mac_address_end(self):
        """Gets the mac_address_end of this XiqCreateMacObjectRequest.  # noqa: E501

        The MAC address end, only available for \"MAC_RANGE\" type.  # noqa: E501

        :return: The mac_address_end of this XiqCreateMacObjectRequest.  # noqa: E501
        :rtype: str
        """
        return self._mac_address_end

    @mac_address_end.setter
    def mac_address_end(self, mac_address_end):
        """Sets the mac_address_end of this XiqCreateMacObjectRequest.

        The MAC address end, only available for \"MAC_RANGE\" type.  # noqa: E501

        :param mac_address_end: The mac_address_end of this XiqCreateMacObjectRequest.  # noqa: E501
        :type: str
        """

        self._mac_address_end = mac_address_end

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, XiqCreateMacObjectRequest):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, XiqCreateMacObjectRequest):
            return True

        return self.to_dict() != other.to_dict()
